<?php $__env->startSection('title', __('locale.subscription.logs')); ?>

<?php $__env->startSection('content'); ?>
    <!-- users edit start -->
    <section class="users-edit">
        <div class="card">
            <div class="card-content">

                <div class="card-body">

                    <p><?php echo __('locale.description.subscription_logs'); ?></p>

                    <ul class="nav nav-tabs nav-justified mb-3" role="tablist">

                        <li class="nav-item">
                            <a class="nav-link active" id="account-tab" data-toggle="tab" href="#logs" aria-controls="logs" role="tab" aria-selected="true">
                                <i class="feather icon-database mr-25"></i><?php echo e(__('locale.subscription.logs')); ?>

                            </a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link" id="information-tab" data-toggle="tab" href="#transactions" aria-controls="transactions" role="tab" aria-selected="false">
                                <i class="feather icon-shopping-cart mr-25"></i><?php echo e(__('locale.labels.transactions')); ?>

                            </a>
                        </li>
                    </ul>


                    <div class="tab-content">

                        <div class="tab-pane active" id="logs" aria-labelledby="account-tab" role="tabpanel">
                            <div class="table-responsive">
                                <table class="table mb-0">
                                    <thead class="thead-primary">
                                    <tr>
                                        <th scope="col"><?php echo e(__('locale.labels.created_at')); ?></th>
                                        <th scope="col"><?php echo e(__('locale.labels.message')); ?></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php $__empty_1 = true; $__currentLoopData = $subscription->getLogs(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $log): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                        <tr>
                                            <td> <?php echo e(\App\Library\Tool::formatDateTime($log->created_at)); ?> </td>
                                            <td> <?php echo __('locale.subscription.log_' . $log->type, $log->getData()); ?> </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                        <tr>
                                            <td class="text-center" colspan="5">
                                                <?php echo e(__('locale.datatables.no_results')); ?>

                                            </td>
                                        </tr>
                                    <?php endif; ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                        <div class="tab-pane" id="transactions" aria-labelledby="information-tab" role="tabpanel">
                            <div class="table-responsive">
                                <table class="table mb-0">
                                    <thead class="thead-primary">
                                    <tr>
                                        <th scope="col"><?php echo e(__('locale.labels.created_at')); ?></th>
                                        <th scope="col"><?php echo e(__('locale.labels.title')); ?></th>
                                        <th scope="col"><?php echo e(__('locale.labels.amount')); ?></th>
                                        <th scope="col"><?php echo e(__('locale.labels.status')); ?></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php $__empty_1 = true; $__currentLoopData = $subscription->getTransactions(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $invoice): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                        <tr>
                                            <td><?php echo e(\App\Library\Tool::formatDate($invoice->created_at)); ?></td>
                                            <td>
                                                <?php echo $invoice->title; ?>

                                                <?php if($invoice->description): ?>
                                                    <div class="small text-muted"><?php echo $invoice->description; ?></div>
                                                <?php endif; ?>
                                            </td>
                                            <td><?php echo e($invoice->amount); ?></td>
                                            <td>
                                                <?php if($invoice->status == 'failed'): ?>
                                                    <div class="chip chip-danger">
                                                <?php elseif($invoice->status == 'pending' || $invoice->status == 'plan_change' || $invoice->status == 'renew' ): ?>
                                                     <div class="chip chip-warning">
                                                <?php elseif($invoice->status == 'auto_charge'): ?>
                                                     <div class="chip chip-info">
                                                <?php else: ?>
                                                      <div class="chip chip-success">
                                                <?php endif; ?>
                                                          <div class="chip-body">
                                                              <div class="chip-text text-uppercase"> <?php echo e(str_replace('_', ' ', $invoice->status)); ?></div>
                                                          </div>
                                                      </div>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                        <tr>
                                            <td class="text-center" colspan="5">
                                                <?php echo e(__('locale.datatables.no_results')); ?>

                                            </td>
                                        </tr>
                                    <?php endif; ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- users edit ends -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-script'); ?>
    
    <script src="<?php echo e(asset(mix('js/scripts/navs/navs.js'))); ?>"></script>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts/contentLayoutMaster', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/shamim/code/v32/resources/views/admin/subscriptions/logs.blade.php ENDPATH**/ ?>