<?php $__env->startSection('title', __('locale.menu.Payment Gateways')); ?>

<?php $__env->startSection('vendor-style'); ?>
    
    <link rel="stylesheet" href="<?php echo e(asset(mix('vendors/css/tables/datatable/datatables.min.css'))); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page-style'); ?>
    
    <link rel="stylesheet" href="<?php echo e(asset(mix('css/pages/data-list-view.css'))); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    
    <section id="data-list-view" class="data-list-view-header">

        
        <div class="table-responsive">
            <table class="table data-list-view">
                <thead>
                <tr>
                    <th></th>
                    <th><?php echo e(__('locale.labels.name')); ?></th>
                    <th><?php echo e(__('locale.labels.status')); ?></th>
                    <th><?php echo e(__('locale.labels.actions')); ?></th>
                </tr>
                </thead>
                <tbody>
                <?php $__currentLoopData = $payment_gateways; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $gateway): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td></td>
                        <td><?php echo e($gateway->name); ?></td>
                        <td>
                            <div class='custom-control custom-switch switch-lg custom-switch-success'>
                                <input type="checkbox" class="custom-control-input get_status" id="<?php echo e($gateway->uid); ?>" data-id="<?php echo e($gateway->uid); ?>" name='status' <?php if($gateway->status == true): ?> checked <?php endif; ?>>
                                <label class="custom-control-label" for="<?php echo e($gateway->uid); ?>">
                                    <span class="switch-text-left"><?php echo e(__('locale.labels.active')); ?></span>
                                    <span class="switch-text-right"><?php echo e(__('locale.labels.inactive')); ?></span>
                                </label>
                            </div>
                        </td>
                        <td>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('update payment_gateways')): ?>
                                <a href="<?php echo e(route('admin.payment-gateways.show', $gateway->uid)); ?>" class='text-primary mr-1'><i class="feather icon-settings"></i> <?php echo e(__('locale.labels.settings')); ?></a>
                            <?php endif; ?>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
        

    </section>
    <br>
    
<?php $__env->stopSection(); ?>
<?php $__env->startSection('vendor-script'); ?>
    
    <script src="<?php echo e(asset(mix('vendors/js/tables/datatable/datatables.min.js'))); ?>"></script>
    <script src="<?php echo e(asset(mix('vendors/js/tables/datatable/datatables.buttons.min.js'))); ?>"></script>
    <script src="<?php echo e(asset(mix('vendors/js/tables/datatable/datatables.bootstrap4.min.js'))); ?>"></script>
    <script src="<?php echo e(asset(mix('vendors/js/tables/datatable/buttons.bootstrap.min.js'))); ?>"></script>

    <script src="<?php echo e(asset(mix('vendors/js/extensions/sweetalert2.all.min.js'))); ?>"></script>
    <script src="<?php echo e(asset(mix('vendors/js/extensions/polyfill.min.js'))); ?>"></script>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page-script'); ?>
    <script>
        $(document).ready(function () {
            "use strict"

            //show response message
            function showResponseMessage(data) {

                if (data.status === 'success') {
                    toastr.success(data.message, 'Success!!', {
                        positionClass: 'toast-top-right',
                        containerId: 'toast-top-right',
                        progressBar: true,
                        closeButton: true,
                        newestOnTop: true
                    });
                    dataListView.draw();
                } else {
                    toastr.warning("<?php echo e(__('locale.exceptions.something_went_wrong')); ?>", "<?php echo e(__('locale.labels.attention')); ?>", {
                        positionClass: 'toast-top-right',
                        containerId: 'toast-top-right',
                        progressBar: true,
                        closeButton: true,
                        newestOnTop: true
                    });
                }
            }

            // init list view datatable
            // init table dom
            let Table = $("table");

            let dataListView = $(".data-list-view").DataTable({

                "processing": true,
                "columns": [
                    {"data": "id", orderable: false, searchable: false},
                    {"data": "name"},
                    {"data": "status"},
                    {"data": "action", orderable: false, searchable: false}
                ],
                bAutoWidth: false,
                responsive: false,
                dom:
                    '<"top"<"actions action-btns"B><"action-filters"lf>><"clear">rt<"bottom"<"actions">p>',
                oLanguage: {
                    sLengthMenu: "_MENU_",
                    sZeroRecords: "<?php echo e(__('locale.datatables.no_results')); ?>",
                    sSearch: "",
                    sProcessing: "<?php echo e(__('locale.datatables.processing')); ?>",
                    oPaginate: {
                        sFirst: "<?php echo e(__('locale.datatables.first')); ?>",
                        sPrevious: "<?php echo e(__('locale.datatables.previous')); ?>",
                        sNext: "<?php echo e(__('locale.datatables.next')); ?>",
                        sLast: "<?php echo e(__('locale.datatables.last')); ?>"
                    }
                },
                aLengthMenu: [[10, 20, 50, 100], [10, 20, 50, 100]],
                order: [[0, "asc"]],
                bInfo: false,
                pageLength: 10,
                buttons: [],
                initComplete: function () {
                    $(".dt-buttons .btn").removeClass("btn-secondary")
                }
            });


            // Scrollbar
            if ($(".data-items").length > 0) {
                new PerfectScrollbar(".data-items", {wheelPropagation: false})
            }


            //change status
            Table.delegate(".get_status", "click", function () {
                let gateway = $(this).data('id');

                $.ajax({
                    url: "<?php echo e(url(config('app.admin_path').'/payment-gateways')); ?>" + '/' + gateway + '/active',
                    type: "POST",
                    data: {
                        _token: "<?php echo e(csrf_token()); ?>"
                    },
                    success: function (data) {
                        showResponseMessage(data);
                    }
                });
            });

        });

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts/contentLayoutMaster', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/shamim/code/v32/resources/views/admin/settings/PaymentMethods/index.blade.php ENDPATH**/ ?>