<?php $__env->startSection('title', __('locale.menu.Campaign Builder')); ?>

<?php $__env->startSection('vendor-style'); ?>
    <!-- vendor css files -->
    <link rel="stylesheet" href="<?php echo e(asset(mix('vendors/css/forms/select/select2.min.css'))); ?>">
    <link rel="stylesheet" href="<?php echo e(asset(mix('vendors/css/pickers/flatpickr/flatpickr.min.css'))); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-style'); ?>

    <style>
        .customized_select2 .select2-container--classic .select2-selection--multiple, .select2-container--default .select2-selection--multiple {
            border-left: 0;
            border-radius: 0 4px 4px 0;
        }

        .sender_id_select2 .customized_select2 .select2-container--classic .select2-selection--single, .select2-container--default .select2-selection--single {
            border-left: 0;
            border-radius: 0 4px 4px 0;
        }

        .btn-group, .btn-group-vertical {
            display: inline-table !important;
        }

        .recipients input[type=radio] {
            box-sizing: border-box;
            padding: 0;
            position: absolute;
            pointer-events: none;
            clip: rect(0, 0, 0, 0);
        }

        .recipients label.active.btn {
            color: #ffffff !important;
            background-color: #7E57C2 !important;
            border-color: #7E57C2 !important;
        }
    </style>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <!-- Basic Vertical form layout section start -->
    <section id="basic-vertical-layouts campaign_builder">
        <div class="row match-height">
            <div class="col-md-6 col-12">
                <div class="card">
                    <div class="card-header">
                    </div>
                    <div class="card-content">
                        <div class="card-body">

                            <form class="form form-vertical" action="<?php echo e(route('customer.voice.campaign_builder')); ?>" method="post">
                                <?php echo csrf_field(); ?>
                                <div class="form-body">
                                    <div class="row">

                                        <div class="col-12">
                                            <div class="form-group">
                                                <label for="name"
                                                       class="required"><?php echo e(__('locale.labels.name')); ?></label>
                                                <input type="text" id="name"
                                                       class="form-control <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                       value="<?php echo e(old('name')); ?>" name="name" required
                                                       placeholder="<?php echo e(__('locale.labels.required')); ?>" autofocus>
                                                <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>

                                        <?php if(auth()->user()->customer->getOption('sender_id_verification') == 'yes'): ?>
                                            <div class="col-12">
                                                <p class="text-uppercase"><?php echo e(__('locale.labels.originator')); ?></p>
                                            </div>

                                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view_sender_id')): ?>
                                                <div class="col-md-6 col-12 customized_select2">
                                                    <div class="form-group">
                                                        <div class="input-group">
                                                            <div class="input-group-prepend">
                                                                <div class="input-group-text">
                                                                    <div class="vs-radio-con">
                                                                        <input type="radio" name="originator" checked
                                                                               class="sender_id" value="sender_id">
                                                                        <span class="vs-radio vs-radio-sm">
                                                                            <span class="vs-radio--border"></span>
                                                                            <span class="vs-radio--circle"></span>
                                                                        </span>
                                                                    </div>
                                                                </div>
                                                                <select class="form-control sender_id_select2"
                                                                        id="sender_id" name="sender_id[]"
                                                                        style="width: auto">
                                                                    <?php $__currentLoopData = $sender_ids; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sender_id): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <option value="<?php echo e($sender_id->sender_id); ?>"> <?php echo e($sender_id->sender_id); ?> </option>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            <?php endif; ?>

                                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view_numbers')): ?>
                                                <div class="col-md-6 col-12 customized_select2">
                                                    <div class="form-group">
                                                        <div class="input-group">
                                                            <div class="input-group-prepend">
                                                                <div class="input-group-text">
                                                                    <div class="vs-radio-con">
                                                                        <input type="radio" name="originator"
                                                                               class="phone_number"
                                                                               value="phone_number">
                                                                        <span class="vs-radio vs-radio-sm">
                                                                            <span class="vs-radio--border"></span>
                                                                            <span class="vs-radio--circle"></span>
                                                                        </span>
                                                                    </div>
                                                                </div>

                                                                <select class="form-control number_select2"
                                                                        id="phone_number" name="phone_number[]"
                                                                        multiple="multiple" style="width: auto"
                                                                        disabled>
                                                                    <?php $__currentLoopData = $phone_numbers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $number): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <option value="<?php echo e($number->number); ?>"> <?php echo e($number->number); ?> </option>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </select>

                                                            </div>

                                                        </div>
                                                    </div>
                                                </div>
                                            <?php endif; ?>

                                        <?php else: ?>
                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="sender_id"><?php echo e(__('locale.labels.sender_id')); ?></label>
                                                    <input type="text" id="sender_id"
                                                           class="form-control <?php $__errorArgs = ['sender_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                           name="sender_id[]">
                                                    <?php $__errorArgs = ['sender_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="invalid-feedback">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>
                                        <?php endif; ?>

                                        <div class="col-12">
                                            <div class="form-group">
                                                <label for="contact_groups"><?php echo e(__('locale.contacts.contact_groups')); ?></label>
                                                <select class="select2 form-control" name="contact_groups[]"
                                                        multiple="multiple">
                                                    <?php $__currentLoopData = $contact_groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($group->id); ?>"> <?php echo e($group->name); ?>

                                                            (<?php echo e(\App\Library\Tool::number_with_delimiter($group->subscribersCount($group->cache))); ?> <?php echo e(__('locale.menu.Contacts')); ?>

                                                            )
                                                        </option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>

                                                <?php $__errorArgs = ['contact_groups'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>

                                        <div class="col-12">

                                            <div class="form-group">
                                                <label for="recipients"><?php echo e(__('locale.labels.manual_input')); ?></label>
                                                <small class="text-uppercase pull-right"><?php echo e(__('locale.labels.total_number_of_recipients')); ?>

                                                    :<span class="number_of_recipients bold text-success m-r-5">0</span></small>
                                                <textarea class="form-control" id="recipients" name="recipients"></textarea>
                                                <?php $__errorArgs = ['recipients'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="text-danger">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>

                                            <div class="form-group">
                                                <label for="delimiter"><?php echo e(__('locale.labels.choose_delimiter')); ?></label><br>
                                                <div class="btn-group btn-group-sm recipients" data-toggle="buttons">

                                                    <label class="btn btn-outline-primary active">
                                                        <input type="radio" name="delimiter" value="," checked>,
                                                        (<?php echo e(__('locale.labels.comma')); ?>)
                                                    </label>

                                                    <label class="btn btn-outline-primary">
                                                        <input type="radio" name="delimiter" value=";">;
                                                        (<?php echo e(__('locale.labels.semicolon')); ?>)
                                                    </label>

                                                    <label class="btn btn-outline-primary">
                                                        <input type="radio" name="delimiter" value="|">|
                                                        (<?php echo e(__('locale.labels.bar')); ?>)
                                                    </label>

                                                    <label class="btn btn-outline-primary">
                                                        <input type="radio" name="delimiter"
                                                               value="tab"><?php echo e(__('locale.labels.tab')); ?>

                                                    </label>

                                                    <label class="btn btn-outline-primary">
                                                        <input type="radio" name="delimiter"
                                                               value="new_line"><?php echo e(__('locale.labels.new_line')); ?>

                                                    </label>

                                                    <?php $__errorArgs = ['delimiter'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="invalid-feedback">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                                                </div>
                                            </div>
                                            <p>
                                                <small class="text-primary"><?php echo __('locale.description.manual_input'); ?> <?php echo __('locale.contacts.include_country_code_for_successful_import'); ?></small>
                                            </p>
                                        </div>

                                        <div class="col-6">
                                            <div class="form-group">
                                                <label class="sms_template"><?php echo e(__('locale.permission.sms_template')); ?></label>
                                                <select class="form-control select2" id="sms_template">
                                                    <option><?php echo e(__('locale.labels.select_one')); ?></option>
                                                    <?php $__currentLoopData = $templates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $template): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($template->id); ?>"><?php echo e($template->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-6">
                                            <div class="form-group">
                                                <label><?php echo e(__('locale.labels.available_tag')); ?></label>
                                                <select class="form-control select2" id="available_tag">
                                                    <option value="phone"><?php echo e(__('locale.labels.phone')); ?></option>
                                                    <option value="first_name"><?php echo e(__('locale.labels.first_name')); ?></option>
                                                    <option value="last_name"><?php echo e(__('locale.labels.last_name')); ?></option>
                                                    <option value="email"><?php echo e(__('locale.labels.email')); ?></option>
                                                    <option value="username"><?php echo e(__('locale.labels.username')); ?></option>
                                                    <option value="company"><?php echo e(__('locale.labels.company')); ?></option>
                                                    <option value="address"><?php echo e(__('locale.labels.address')); ?></option>
                                                    <option value="birth_date"><?php echo e(__('locale.labels.birth_date')); ?></option>
                                                    <option value="anniversary_date"><?php echo e(__('locale.labels.anniversary_date')); ?></option>

                                                    <?php if($template_tags): ?>
                                                        <?php $__currentLoopData = $template_tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $field): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($field->tag); ?>"><?php echo e($field->name); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <?php endif; ?>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-12">
                                            <div class="form-group">
                                                <label for="message"
                                                       class="required"><?php echo e(__('locale.labels.message')); ?></label>
                                                <textarea class="form-control" name="message" rows="5"
                                                          id="message"></textarea>
                                                <small class="text-primary text-uppercase"
                                                       id="remaining">160 <?php echo e(__('locale.labels.characters_remaining')); ?></small>
                                                <small class="text-primary text-uppercase pull-right"
                                                       id="messages">1 <?php echo e(__('locale.labels.message')); ?> (s)</small>
                                                <?php $__errorArgs = ['message'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="text-danger">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>

                                        <div class="col-12">

                                            <div class="form-group">
                                                <label class="required" for="language"><?php echo e(__('locale.labels.language')); ?></label>
                                                <select class="form-control select2" id="language" name="language" required>
                                                    <?php $__currentLoopData = \App\Helpers\Helper::voice_regions(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($key); ?>" <?php echo e($key == 'en-GB' ? 'selected': null); ?>> <?php echo e($value); ?> </option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="col-12">

                                            <div class="form-group">
                                                <label class="locale.labels.gender"><?php echo e(__('locale.labels.gender')); ?></label>
                                                <select class="form-control" id="gender" name="gender">
                                                    <option value="male"> <?php echo e(__('locale.labels.male')); ?></option>
                                                    <option value="female"> <?php echo e(__('locale.labels.female')); ?></option>
                                                </select>
                                            </div>
                                        </div>


                                        <div class="col-12">
                                            <div class="form-group">
                                                <div class="vs-checkbox-con vs-checkbox-primary">
                                                    <input type="checkbox" class="schedule" value="true"
                                                           name="schedule" <?php echo e(old('schedule') == true ? "checked" : null); ?>>
                                                    <span class="vs-checkbox">
                                                          <span class="vs-checkbox--check">
                                                            <i class="vs-icon feather icon-check"></i>
                                                          </span>
                                                        </span>
                                                    <span class=""><?php echo e(__('locale.campaigns.schedule_campaign')); ?>?</span>
                                                </div>
                                                <p>
                                                    <small class="text-muted"><?php echo e(__('locale.campaigns.schedule_campaign_note')); ?></small>
                                                </p>

                                            </div>
                                        </div>

                                    </div>

                                    <div class="row schedule_time">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="schedule_date"><?php echo e(__('locale.labels.date')); ?></label>
                                                <input type="text" id="schedule_date" name="schedule_date"
                                                       class="form-control schedule_date" placeholder="YYYY-MM-DD"/>
                                                <?php $__errorArgs = ['schedule_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="text-danger">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>

                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="time"><?php echo e(__('locale.labels.time')); ?></label>
                                                <input type="text" id="time"
                                                       class="form-control flatpickr-time text-left"
                                                       name="schedule_time" placeholder="HH:MM"/>
                                                <?php $__errorArgs = ['schedule_time'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="text-danger">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>

                                        <div class="col-12">
                                            <div class="form-group">
                                                <label for="timezone"><?php echo e(__('locale.labels.timezone')); ?></label>
                                                <select class="form-control select2" id="timezone" name="timezone">
                                                    <?php $__currentLoopData = \App\Library\Tool::allTimeZones(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $timezone): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($timezone['zone']); ?>" <?php echo e(Auth::user()->timezone == $timezone['zone'] ? 'selected': null); ?>> <?php echo e($timezone['text']); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                                <?php $__errorArgs = ['timezone'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="text-danger">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>

                                        <div class="col-12">
                                            <fieldset class="form-group">
                                                <label for="frequency_cycle"><?php echo e(__('locale.labels.frequency')); ?></label>
                                                <select class="form-control" id="frequency_cycle"
                                                        name="frequency_cycle">
                                                    <option value="onetime" <?php echo e(old('frequency_cycle')); ?>> <?php echo e(__('locale.labels.one_time')); ?></option>
                                                    <option value="daily" <?php echo e(old('frequency_cycle')); ?>> <?php echo e(__('locale.labels.daily')); ?></option>
                                                    <option value="monthly" <?php echo e(old('frequency_cycle')); ?>> <?php echo e(__('locale.labels.monthly')); ?></option>
                                                    <option value="yearly" <?php echo e(old('frequency_cycle')); ?>> <?php echo e(__('locale.labels.yearly')); ?></option>
                                                    <option value="custom" <?php echo e(old('frequency_cycle')); ?>> <?php echo e(__('locale.labels.custom')); ?></option>
                                                </select>
                                            </fieldset>
                                            <?php $__errorArgs = ['frequency_cycle'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <div class="invalid-feedback">
                                                <?php echo e($message); ?>

                                            </div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>

                                        <div class="col-sm-6 col-12 show-custom">
                                            <div class="form-group">
                                                <label for="frequency_amount"><?php echo e(__('locale.plans.frequency_amount')); ?></label>
                                                <input type="text"
                                                       id="frequency_amount"
                                                       class="form-control text-right <?php $__errorArgs = ['frequency_amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                       name="frequency_amount"
                                                       value="<?php echo e(old('frequency_amount')); ?>"
                                                >
                                                <?php $__errorArgs = ['frequency_amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>

                                        <div class="col-sm-6 col-12 show-custom">
                                            <fieldset class="form-group">
                                                <label for="frequency_unit"><?php echo e(__('locale.plans.frequency_unit')); ?></label>
                                                <select class="form-control" id="frequency_unit" name="frequency_unit">
                                                    <option value="day" <?php echo e(old('frequency_unit')); ?>> <?php echo e(__('locale.labels.day')); ?></option>
                                                    <option value="week" <?php echo e(old('frequency_unit')); ?>> <?php echo e(__('locale.labels.week')); ?></option>
                                                    <option value="month" <?php echo e(old('frequency_unit')); ?>> <?php echo e(__('locale.labels.month')); ?></option>
                                                    <option value="year" <?php echo e(old('frequency_unit')); ?>> <?php echo e(__('locale.labels.year')); ?></option>
                                                </select>
                                            </fieldset>
                                            <?php $__errorArgs = ['frequency_unit'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <div class="invalid-feedback">
                                                <?php echo e($message); ?>

                                            </div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>

                                        <div class="col-md-6 show-recurring">
                                            <div class="form-group">
                                                <label for="recurring_date"> <?php echo e(__('locale.labels.end_date')); ?></label>
                                                <input type="text" id="recurring_date" name="recurring_date"
                                                       class="form-control schedule_date" placeholder="YYYY-MM-DD"/>
                                                <?php $__errorArgs = ['recurring_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="text-danger">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>

                                        <div class="col-md-6 show-recurring">
                                            <div class="form-group">
                                                <label for="recurring_time"><?php echo e(__('locale.labels.end_time')); ?></label>
                                                <input type="text" id="recurring_time"
                                                       class="form-control flatpickr-time text-left"
                                                       name="recurring_time" placeholder="HH:MM"/>
                                                <?php $__errorArgs = ['recurring_time'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="text-danger">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-12">
                                            <div class="form-group">
                                                <div class="vs-checkbox-con vs-checkbox-primary">
                                                    <input type="checkbox" name="advanced" class="advanced"
                                                           value="true">
                                                    <span class="vs-checkbox"><span class="vs-checkbox--check"><i
                                                                    class="vs-icon feather icon-check"></i></span></span>
                                                    <span class=""><?php echo e(__('locale.labels.advanced')); ?></span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row advanced_div">
                                        <div class="col-12">
                                            <div class="form-group">
                                                <div class="vs-checkbox-con vs-checkbox-primary">
                                                    <input type="checkbox" value="true" name="send_copy">
                                                    <span class="vs-checkbox">
                                                          <span class="vs-checkbox--check">
                                                            <i class="vs-icon feather icon-check"></i>
                                                          </span>
                                                        </span>
                                                    <span class=""><?php echo e(__('locale.campaigns.send_copy_via_email')); ?></span>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-12">
                                            <div class="form-group">
                                                <div class="vs-checkbox-con vs-checkbox-primary">
                                                    <input type="checkbox" value="true" name="create_template">
                                                    <span class="vs-checkbox">
                                                          <span class="vs-checkbox--check">
                                                            <i class="vs-icon feather icon-check"></i>
                                                          </span>
                                                        </span>
                                                    <span class=""><?php echo e(__('locale.campaigns.create_template_based_message')); ?></span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-12">
                                            <input type="hidden" value="voice" name="sms_type" id="sms_type">
                                            <button type="submit" class="btn btn-primary mr-1 mb-1"><i class="feather icon-send"></i> <?php echo e(__('locale.buttons.send')); ?>

                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- // Basic Vertical form layout section end -->

<?php $__env->stopSection(); ?>

<?php $__env->startSection('vendor-script'); ?>
    <!-- vendor files -->
    <script src="<?php echo e(asset(mix('vendors/js/forms/select/select2.full.min.js'))); ?>"></script>
    <script src="<?php echo e(asset(mix('vendors/js/pickers/flatpickr/flatpickr.min.js'))); ?>"></script>
    <script src="<?php echo e(asset(mix('js/scripts/dom-rules.js'))); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-script'); ?>

    <script src="<?php echo e(asset(mix('js/scripts/sms-counter.js'))); ?>"></script>

    <script>
        $(document).ready(function () {

            $('.schedule_date').flatpickr({
                minDate: "today",
                dateFormat: "Y-m-d",
                defaultDate: "<?php echo e(date('Y-m-d')); ?>",
            });

            $('.flatpickr-time').flatpickr({
                enableTime: true,
                noCalendar: true,
                dateFormat: "H:i",
                defaultDate: "<?php echo e(date('H:i')); ?>",
            });

            $(".sender_id").on("click", function () {
                $("#sender_id").prop("disabled", !this.checked);
                $("#phone_number").prop("disabled", this.checked);
            });

            $(".phone_number").on("click", function () {
                $("#phone_number").prop("disabled", !this.checked);
                $("#sender_id").prop("disabled", this.checked);
            });


            let schedule = $('.schedule'),
                scheduleTime = $(".schedule_time");

            if (schedule.prop('checked') === true) {
                scheduleTime.show();
            } else {
                scheduleTime.hide();
            }

            $('.advanced_div').hide();

            schedule.change(function () {
                scheduleTime.fadeToggle();
            });

            $('.advanced').change(function () {
                $('.advanced_div').fadeToggle();
            });

            $.createDomRules({

                parentSelector: 'body',
                scopeSelector: 'form',
                showTargets: function (rule, $controller, condition, $targets, $scope) {
                    $targets.fadeIn();
                },
                hideTargets: function (rule, $controller, condition, $targets, $scope) {
                    $targets.fadeOut();
                },

                rules: [
                    {
                        controller: '#frequency_cycle',
                        value: 'custom',
                        condition: '==',
                        targets: '.show-custom',
                    },
                    {
                        controller: '#frequency_cycle',
                        value: 'onetime',
                        condition: '!=',
                        targets: '.show-recurring',
                    },
                    {
                        controller: '.message_type',
                        value: 'mms',
                        condition: '==',
                        targets: '.send-mms',
                    }
                ]
            });


            $(".select2").select2({
                dropdownAutoWidth: true,
                width: '100%',
                theme: "classic",
                placeholder: "<?php echo e(__('locale.labels.choose_your_option')); ?>"
            });

            $(".sender_id_select2").select2({
                dropdownAutoWidth: true,
                width: '100%',
                placeholder: "<?php echo e(__('locale.labels.sender_id')); ?>"
            });

            $(".number_select2").select2({
                dropdownAutoWidth: true,
                width: '100%',
                placeholder: "<?php echo e(__('locale.menu.Phone Numbers')); ?>"
            });

            $('.select2-search__field').removeAttr("style");

            let number_of_recipients_ajax = 0,
                number_of_recipients_manual = 0,
                $get_recipients = $('#recipients'),
                $remaining = $('#remaining'),
                $messages = $remaining.next(),
                $get_msg = $("#message"),
                merge_state = $('#available_tag'),
                firstInvalid = $('form').find('.is-invalid').eq(0);

            if (firstInvalid.length) {
                $('body, html').stop(true, true).animate({
                    'scrollTop': firstInvalid.offset().top - 200 + 'px'
                }, 200);
            }

            function get_delimiter() {
                return $('input[name=delimiter]:checked').val();
            }

            function get_recipients_count() {

                let recipients_value = $get_recipients[0].value.trim();

                if (recipients_value) {
                    let delimiter = get_delimiter();

                    if (delimiter === ';') {
                        number_of_recipients_manual = recipients_value.split(';').length;
                    } else if (delimiter === ',') {
                        number_of_recipients_manual = recipients_value.split(',').length;
                    } else if (delimiter === '|') {
                        number_of_recipients_manual = recipients_value.split('|').length;
                    } else if (delimiter === 'tab') {
                        number_of_recipients_manual = recipients_value.split(' ').length;
                    } else if (delimiter === 'new_line') {
                        number_of_recipients_manual = recipients_value.split('\n').length;
                    } else {
                        number_of_recipients_manual = 0;
                    }
                } else {
                    number_of_recipients_manual = 0;
                }
                let total = number_of_recipients_manual + Number(number_of_recipients_ajax);

                $('.number_of_recipients').text(total);
            }

            $get_recipients.keyup(get_recipients_count);


            $("input[name='delimiter']").change(function () {
                get_recipients_count();
            });


            function get_character() {
                if ($get_msg[0].value !== null) {

                    let data = SmsCounter.count($get_msg[0].value, true);

                    if (data.encoding === 'UTF16') {
                        $('#sms_type').val('unicode').trigger('change');
                    } else {
                        $('#sms_type').val('plain').trigger('change');
                    }

                    $remaining.text(data.remaining + " <?php echo __('locale.labels.characters_remaining'); ?>");
                    $messages.text(data.messages + " <?php echo __('locale.labels.message'); ?>" + '(s)');

                }

            }


            merge_state.on('change', function () {
                const caretPos = $get_msg[0].selectionStart;
                const textAreaTxt = $get_msg.val();
                let txtToAdd = this.value;
                if (txtToAdd) {
                    txtToAdd = '{' + txtToAdd + '}';
                }

                $get_msg.val(textAreaTxt.substring(0, caretPos) + txtToAdd + textAreaTxt.substring(caretPos));
            });


            $("#sms_template").on('change', function () {

                let template_id = $(this).val();

                $.ajax({
                    url: "<?php echo e(url('templates/show-data')); ?>" + '/' + template_id,
                    type: "POST",
                    data: {
                        _token: "<?php echo e(csrf_token()); ?>"
                    },
                    cache: false,
                    success: function (data) {
                        if (data.status === 'success') {
                            const caretPos = $get_msg[0].selectionStart;
                            const textAreaTxt = $get_msg.val();
                            let txtToAdd = data.message;

                            $get_msg.val(textAreaTxt.substring(0, caretPos) + txtToAdd + textAreaTxt.substring(caretPos)).val().length;

                            get_character();

                        } else {
                            toastr.warning(data.message, "<?php echo e(__('locale.labels.attention')); ?>", {
                                positionClass: 'toast-top-right',
                                containerId: 'toast-top-right',
                                progressBar: true,
                                closeButton: true,
                                newestOnTop: true
                            });
                        }
                    },
                    error: function (reject) {
                        if (reject.status === 422) {
                            let errors = reject.responseJSON.errors;
                            $.each(errors, function (key, value) {
                                toastr.warning(value[0], "<?php echo e(__('locale.labels.attention')); ?>", {
                                    positionClass: 'toast-top-right',
                                    containerId: 'toast-top-right',
                                    progressBar: true,
                                    closeButton: true,
                                    newestOnTop: true
                                });
                            });
                        } else {
                            toastr.warning(reject.responseJSON.message, "<?php echo e(__('locale.labels.attention')); ?>", {
                                positionClass: 'toast-top-right',
                                containerId: 'toast-top-right',
                                progressBar: true,
                                closeButton: true,
                                newestOnTop: true
                            });
                        }
                    }
                });
            });

            $get_msg.keyup(get_character);

        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts/contentLayoutMaster', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/shamim/code/v32/resources/views/customer/Campaigns/voiceCampaignBuilder.blade.php ENDPATH**/ ?>