<?php $__env->startSection('title', __('locale.labels.checkout')); ?>

<?php $__env->startSection('vendor-style'); ?>
    <!-- Vendor css files -->
    <link rel="stylesheet" href="<?php echo e(asset(mix('vendors/css/forms/select/select2.min.css'))); ?>">
    <link rel="stylesheet" href="<?php echo e(asset(mix('vendors/css/extensions/toastr.css'))); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-style'); ?>
    <!-- Page css files -->
    <link rel="stylesheet" href="<?php echo e(asset(mix('css/pages/checkout.css'))); ?>">
    <link rel="stylesheet" href="<?php echo e(asset(mix('css/plugins/forms/wizard.css'))); ?>">
    <link rel="stylesheet" href="<?php echo e(asset(mix('css/plugins/extensions/toastr.css'))); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <form action="<?php echo e(route('customer.senderid.pay', $senderid->uid)); ?>" class="icons-tab-steps checkout-tab-steps wizard-circle" method="post">
    <?php echo csrf_field(); ?>

    <!-- Checkout Place order starts -->
        <h6><i class="step-icon step feather icon-shopping-cart"></i><?php echo e(__('locale.labels.cart')); ?></h6>
        <fieldset class="checkout-step-1 px-0">
            <section id="place-order" class="list-view product-checkout">
                <div class="checkout-items">
                    <div class="card ecommerce-card">
                        <div class="card-content product-description">
                            <div class="card-body">
                                <div class="item-name">
                                    <p><?php echo e(__('locale.sender_id.payment_for_sender_id')); ?>: <span class="text-primary"><?php echo e($senderid->sender_id); ?></span></p>
                                    <p><?php echo e(__('locale.labels.frequency')); ?>: <span class="text-primary"><?php echo e($senderid->displayFrequencyTime()); ?></span></p>
                                    <p class="stock-status-in"><?php echo e(__('locale.plans.price')); ?> <?php echo e(\App\Library\Tool::format_price($senderid->price, $senderid->currency->format)); ?></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="checkout-options">
                    <div class="card">
                        <div class="card-content">
                            <div class="card-body">
                                <div class="price-details">
                                    <p><?php echo e(__('locale.sender_id.price_details')); ?></p>
                                </div>
                                <div class="detail">
                                    <div class="detail-title">
                                        <?php echo e(__('locale.labels.total_price')); ?>

                                    </div>
                                    <div class="detail-amt">
                                        <?php echo e(\App\Library\Tool::format_price($senderid->price, $senderid->currency->format)); ?>

                                    </div>
                                </div>
                                <div class="detail">
                                    <div class="detail-title">
                                        <?php echo e(__('locale.labels.delivery_charge')); ?>

                                    </div>
                                    <div class="detail-amt discount-amt">
                                        <?php echo e(__('locale.labels.free')); ?>

                                    </div>
                                </div>
                                <hr>
                                <div class="detail">
                                    <div class="detail-title detail-total"><?php echo e(__('locale.labels.total')); ?></div>
                                    <div class="detail-amt total-amt"><?php echo e(\App\Library\Tool::format_price($senderid->price, $senderid->currency->format)); ?></div>
                                </div>
                                <div class="btn btn-primary btn-block place-order text-uppercase"><?php echo e(__('locale.labels.place_order')); ?></div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </fieldset>
        <!-- Checkout Place order Ends -->


        <!-- Checkout Customer Address Starts -->
        <h6><i class="step-icon step feather icon-home"></i><?php echo e(__('locale.labels.address')); ?></h6>
        <fieldset class="checkout-step-2 px-0">
            <section id="checkout-address" class="list-view checkout-address ">
                <div class="card">
                    <div class="card-header flex-column align-items-start">
                    </div>
                    <div class="card-content">
                        <div class="card-body">
                            <div class="row">

                                <div class="col-md-6 col-sm-12">
                                    <div class="form-group">
                                        <label for="first_name" class="required"><?php echo e(__('locale.labels.first_name')); ?>:</label>
                                        <input type="text" id="first_name" class="form-control required" name="first_name" value="<?php echo e(Auth::user()->first_name); ?>">
                                    </div>
                                </div>

                                <div class="col-md-6 col-sm-12">
                                    <div class="form-group">
                                        <label for="last_name"><?php echo e(__('locale.labels.last_name')); ?>:</label>
                                        <input type="text" id="last_name" class="form-control" name="last_name" value="<?php echo e(Auth::user()->last_name); ?>">
                                    </div>
                                </div>


                                <div class="col-md-6 col-sm-12">
                                    <div class="form-group">
                                        <label for="email" class="required"><?php echo e(__('locale.labels.email')); ?>:</label>
                                        <input type="email" id="email" class="form-control required" name="email" value="<?php echo e(Auth::user()->email); ?>">
                                    </div>
                                </div>

                                <div class="col-md-6 col-sm-12">
                                    <div class="form-group">
                                        <label for="phone" class="required"><?php echo e(__('locale.labels.phone')); ?>:</label>
                                        <input type="number" id="phone" class="form-control required" name="phone" value="<?php echo e(Auth::user()->customer->phone); ?>">
                                    </div>
                                </div>
                                <div class="col-md-6 col-sm-12">
                                    <div class="form-group">
                                        <label for="address" class="required"><?php echo e(__('locale.labels.address')); ?>:</label>
                                        <input type="text" id="address" class="form-control required" name="address" value="<?php echo e(Auth::user()->customer->financial_address); ?>">
                                    </div>
                                </div>
                                <div class="col-md-6 col-sm-12">
                                    <div class="form-group">
                                        <label for="city" class="required"><?php echo e(__('locale.labels.city')); ?>:</label>
                                        <input type="text" id="city" class="form-control required" name="city" value="<?php echo e(Auth::user()->customer->financial_city); ?>">
                                    </div>
                                </div>
                                <div class="col-md-6 col-sm-12">
                                    <div class="form-group">
                                        <label for="postcode"><?php echo e(__('locale.labels.postcode')); ?></label>
                                        <input type="text" id="postcode" class="form-control" name="postcode" value="<?php echo e(Auth::user()->customer->financial_postcode); ?>">
                                    </div>
                                </div>

                                <div class="col-md-6 col-sm-12">
                                    <div class="form-group">
                                        <label for="country" class="required"><?php echo e(__('locale.labels.country')); ?></label>
                                        <select class="form-control select2" id="country" name="country">
                                            <?php $__currentLoopData = \App\Helpers\Helper::countries(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($country['name']); ?>" <?php echo e(Auth::user()->customer->country == $country['name'] ? 'selected': null); ?>> <?php echo e($country['name']); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-sm-6 offset-md-6">
                                    <div class="btn btn-primary delivery-address float-right">
                                        <?php echo e(__('locale.labels.payment')); ?>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </fieldset>

        <!-- Checkout Customer Address Ends -->


        <!-- Checkout Payment Starts -->
        <h6><i class="step-icon step feather icon-credit-card"></i><?php echo e(__('locale.labels.payment')); ?></h6>
        <fieldset class="checkout-step-3 px-0">
            <section id="checkout-payment" class="list-view product-checkout">
                <div class="payment-type">
                    <div class="card">
                        <div class="card-header flex-column align-items-start">
                            <h4 class="card-title"><?php echo e(__('locale.labels.payment_options')); ?></h4>
                            <p class="text-muted mt-25"><?php echo e(__('locale.payment_gateways.click_on_correct_option')); ?></p>
                        </div>
                        <div class="card-content">
                            <div class="card-body">

                                <?php $__errorArgs = ['payment_methods'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="text-danger">
                                    <?php echo e($message); ?>

                                </div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                                <ul class="other-payment-options list-unstyled">
                                    <?php $__currentLoopData = $payment_methods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $method): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li>
                                            <div class="vs-radio-con vs-radio-primary py-25">
                                                <input type="radio" name="payment_methods" value="<?php echo e($method->type); ?>">
                                                <span class="vs-radio">
                                                <span class="vs-radio--border"></span>
                                                <span class="vs-radio--circle"></span>
                                            </span>
                                                <span><?php echo e($method->name); ?></span>
                                            </div>
                                        </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>

                            </div>
                        </div>
                    </div>
                </div>
                <div class="amount-payable checkout-options">
                    <div class="card">
                        <div class="card-header">
                            <h4 class="card-title"><?php echo e(__('locale.sender_id.price_details')); ?></h4>
                        </div>
                        <div class="card-content">
                            <div class="card-body">
                                <div class="detail">
                                    <div class="details-title">
                                        <?php echo e(__('locale.labels.total_price')); ?>

                                    </div>
                                    <div class="detail-amt">
                                        <strong><?php echo e(\App\Library\Tool::format_price($senderid->price, $senderid->currency->format)); ?></strong>
                                    </div>
                                </div>
                                <div class="detail">
                                    <div class="details-title">
                                        <?php echo e(__('locale.labels.delivery_charge')); ?>

                                    </div>
                                    <div class="detail-amt discount-amt">
                                        <?php echo e(__('locale.labels.free')); ?>

                                    </div>
                                </div>
                                <hr>
                                <div class="detail">
                                    <div class="details-title">
                                        <?php echo e(__('locale.labels.amount_payable')); ?>

                                    </div>
                                    <div class="detail-amt total-amt"><?php echo e(\App\Library\Tool::format_price($senderid->price, $senderid->currency->format)); ?></div>
                                </div>

                                <button class="btn btn-primary btn-block text-uppercase" type="submit"><?php echo e(__('locale.labels.checkout')); ?></button>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </fieldset>

        <!-- Checkout Payment Starts -->


    </form>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('vendor-script'); ?>
    <!-- Vendor js files -->
    <script src="<?php echo e(asset(mix('vendors/js/extensions/jquery.steps.min.js'))); ?>"></script>
    <script src="<?php echo e(asset(mix('vendors/js/forms/validation/jquery.validate.min.js'))); ?>"></script>
    <script src="<?php echo e(asset(mix('vendors/js/extensions/toastr.min.js'))); ?>"></script>
    <script src="<?php echo e(asset(mix('vendors/js/forms/select/select2.full.min.js'))); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-script'); ?>
    <!-- Page js files -->
    <script src="<?php echo e(asset(mix('js/scripts/pages/checkout.js'))); ?>"></script>
    <script>

        $(document).ready(function () {
            "use strict"

            let firstInvalid = $('form').find('.is-invalid').eq(0);

            if (firstInvalid.length) {
                $('body, html').stop(true, true).animate({
                    'scrollTop': firstInvalid.offset().top - 200 + 'px'
                }, 200);
            }


            // Basic Select2 select
            $(".select2").select2({
                // the following code is used to disable x-scrollbar when click in select input and
                // take 100% width in responsive also
                dropdownAutoWidth: true,
                width: '100%'
            });
        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts/contentLayoutMaster', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/shamim/code/v32/resources/views/customer/SenderID/checkout.blade.php ENDPATH**/ ?>