<?php $__env->startSection('title', __('locale.phone_numbers.update_number')); ?>

<?php $__env->startSection('vendor-style'); ?>
    <!-- vendor css files -->
    <link rel="stylesheet" href="<?php echo e(asset(mix('vendors/css/forms/select/select2.min.css'))); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <!-- Basic Vertical form layout section start -->
    <section id="basic-vertical-layouts">
        <div class="row match-height">
            <div class="col-md-6 col-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title"><?php echo e(__('locale.phone_numbers.update_number')); ?></h4>
                    </div>
                    <div class="card-content">
                        <div class="card-body">

                            <p><?php echo __('locale.description.phone_number'); ?></p>

                            <form class="form form-vertical"  action="<?php echo e(route('admin.phone-numbers.update',  $number->uid)); ?>" method="post">
                                <?php echo e(method_field('PUT')); ?>

                                <?php echo csrf_field(); ?>
                                <div class="form-body">
                                    <div class="row">

                                        <div class="col-12">
                                            <div class="form-group">
                                                <label for="number" class="required"><?php echo e(__('locale.labels.number')); ?></label>
                                                <input type="text" id="number" class="form-control <?php $__errorArgs = ['number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e($number->number); ?>" name="number" required placeholder="<?php echo e(__('locale.labels.required')); ?>" autofocus>
                                                <?php $__errorArgs = ['number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>


                                        <div class="col-12">
                                            <fieldset class="form-group">
                                                <label for="status" class="required"><?php echo e(__('locale.labels.status')); ?></label>
                                                <select class="form-control" name="status" id="status">
                                                    <option value="available" <?php echo e(old('status', isset($number->status) && $number->status == 'available' ? 'selected' : null)); ?>><?php echo e(__('locale.labels.available')); ?></option>
                                                    <option value="assigned" <?php echo e(old('status', isset($number->status) && $number->status == 'assigned' ? 'selected' : null)); ?>><?php echo e(__('locale.labels.assigned')); ?> </option>
                                                </select>
                                            </fieldset>

                                            <?php $__errorArgs = ['status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <div class="invalid-feedback">
                                                <?php echo e($message); ?>

                                            </div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>

                                        <div class="col-12">
                                            <fieldset class="form-group">
                                                <label for="capabilities" class="required"><?php echo e(__('locale.labels.capabilities')); ?></label>
                                                <select class="select2 form-control" name="capabilities[]" id="capabilities"  multiple="multiple">
                                                    <option value="sms" <?php if(isset($capabilities) && in_array('sms', $capabilities)): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.sms')); ?></option>
                                                    <option value="voice" <?php if(isset($capabilities) && in_array('voice', $capabilities)): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.voice')); ?> </option>
                                                    <option value="mms"  <?php if(isset($capabilities) && in_array('mms', $capabilities)): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.mms')); ?> </option>
                                                    <option value="whatsapp"  <?php if(isset($capabilities) && in_array('whatsapp', $capabilities)): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.whatsapp')); ?> </option>
                                                </select>
                                            </fieldset>

                                            <?php $__errorArgs = ['capabilities'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <div class="invalid-feedback">
                                                <?php echo e($message); ?>

                                            </div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>


                                        <div class="col-12">
                                            <div class="form-group">
                                                <label for="price" class="required"><?php echo e(__('locale.plans.price')); ?></label>
                                                <input type="text" id="price" class="form-control <?php $__errorArgs = ['price'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e(isset($number->price) ? $number->price : 0); ?>" name="price" required placeholder="<?php echo e(__('locale.labels.required')); ?>">
                                                <?php $__errorArgs = ['price'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>

                                        <div class="col-12">
                                            <fieldset class="form-group">
                                                <label for="billing_cycle" class="required"><?php echo e(__('locale.plans.billing_cycle')); ?></label>
                                                <select class="form-control" id="billing_cycle" name="billing_cycle">
                                                    <option value="daily" <?php echo e($number->billing_cycle == 'daily' ? 'selected': null); ?>> <?php echo e(__('locale.labels.daily')); ?></option>
                                                    <option value="monthly" <?php echo e($number->billing_cycle == 'monthly' ? 'selected': null); ?>>  <?php echo e(__('locale.labels.monthly')); ?></option>
                                                    <option value="yearly" <?php echo e($number->billing_cycle == 'yearly' ? 'selected': null); ?>>  <?php echo e(__('locale.labels.yearly')); ?></option>
                                                    <option value="custom" <?php echo e($number->billing_cycle == 'custom' ? 'selected': null); ?>>  <?php echo e(__('locale.labels.custom')); ?></option>
                                                </select>
                                            </fieldset>
                                            <?php $__errorArgs = ['billing_cycle'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <div class="text-danger">
                                                <?php echo e($message); ?>

                                            </div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>


                                        <div class="col-sm-6 col-12 show-custom">
                                            <div class="form-group">
                                                <label for="frequency_amount" class="required"><?php echo e(__('locale.plans.frequency_amount')); ?></label>
                                                <input type="text" id="frequency_amount" class="form-control text-right <?php $__errorArgs = ['frequency_amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e($number->frequency_amount); ?>" name="frequency_amount">
                                                <?php $__errorArgs = ['frequency_amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>

                                        <div class="col-sm-6 col-12 show-custom">
                                            <fieldset class="form-group">
                                                <label for="frequency_unit" class="required"><?php echo e(__('locale.plans.frequency_unit')); ?></label>
                                                <select class="form-control" id="frequency_unit" name="frequency_unit">
                                                    <option value="day" <?php echo e($number->frequency_unit == 'day' ? 'selected': null); ?>> <?php echo e(__('locale.labels.day')); ?></option>
                                                    <option value="week" <?php echo e($number->frequency_unit == 'week' ? 'selected': null); ?>>  <?php echo e(__('locale.labels.week')); ?></option>
                                                    <option value="month" <?php echo e($number->frequency_unit == 'month' ? 'selected': null); ?>>  <?php echo e(__('locale.labels.month')); ?></option>
                                                    <option value="year" <?php echo e($number->frequency_unit == 'year' ? 'selected': null); ?>>  <?php echo e(__('locale.labels.year')); ?></option>
                                                </select>
                                            </fieldset>
                                            <?php $__errorArgs = ['frequency_unit'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <div class="invalid-feedback">
                                                <?php echo e($message); ?>

                                            </div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>



                                        <div class="col-12">
                                            <fieldset class="form-group">
                                                <label for="user_id" class="required"><?php echo e(__('locale.labels.select_customer')); ?></label>
                                                <select class="form-control select2" name="user_id">
                                                    <?php $__currentLoopData = $customers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $customer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($customer->id); ?>" <?php echo e(isset($number->user_id) && $number->user_id == $customer->id ? 'selected' : null); ?>><?php echo e($customer->displayName()); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                                <?php $__errorArgs = ['user_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="text-danger">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                                            </fieldset>
                                        </div>

                                        <div class="col-12">
                                            <fieldset class="form-group">
                                                <label for="currency_id" class="required"><?php echo e(__('locale.labels.currency')); ?></label>
                                                <select class="form-control select2" id="currency_id" name="currency_id">
                                                    <?php $__currentLoopData = $currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $currency): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option <?php echo e(isset($number->currency_id) && $number->currency_id == $currency->id ? 'selected' : null); ?> value="<?php echo e($currency->id); ?>"> <?php echo e($currency->name); ?>

                                                            (<?php echo e($currency->code); ?>)
                                                        </option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                                <?php $__errorArgs = ['currency_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="text-danger">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </fieldset>
                                        </div>

                                        <div class="col-12">
                                            <button type="submit" class="btn btn-primary mr-1 mb-1"><i class="feather icon-save"></i> <?php echo e(__('locale.buttons.save')); ?></button>
                                        </div>

                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- // Basic Vertical form layout section end -->

<?php $__env->stopSection(); ?>

<?php $__env->startSection('vendor-script'); ?>
    <!-- vendor files -->
    <script src="<?php echo e(asset(mix('vendors/js/forms/select/select2.full.min.js'))); ?>"></script>
<?php $__env->stopSection(); ?>



<?php $__env->startSection('page-script'); ?>

    <script>
        $(document).ready(function () {

            let showCustom = $('.show-custom');
            let billing_cycle = $('#billing_cycle');


            if (billing_cycle.val() === 'custom'){
                showCustom.show();
            }else {
                showCustom.hide();
            }

            billing_cycle.on('change', function () {
                if (billing_cycle.val() === 'custom') {
                    showCustom.show();
                } else {
                    showCustom.hide();
                }
            });

            $(".select2").select2({
                // the following code is used to disable x-scrollbar when click in select input and
                // take 100% width in responsive also
                dropdownAutoWidth: true,
                width: '100%'
            });

            let firstInvalid = $('form').find('.is-invalid').eq(0);

            if (firstInvalid.length) {
                $('body, html').stop(true, true).animate({
                    'scrollTop': firstInvalid.offset().top - 200 + 'px'
                }, 200);
            }

        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts/contentLayoutMaster', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/shamim/code/v32/resources/views/admin/PhoneNumbers/show.blade.php ENDPATH**/ ?>