<?php $__env->startSection('title', __('locale.contacts.new_contact_group')); ?>

<?php $__env->startSection('content'); ?>
    <!-- Basic Vertical form layout section start -->
    <section id="basic-vertical-layouts">
        <div class="row match-height">
            <div class="col-md-6 col-12">

                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title"><?php echo e(__('locale.contacts.new_contact_group')); ?></h4>
                    </div>
                    <div class="card-content">
                        <div class="card-body">
                            <form class="form form-vertical" action="<?php echo e(route('customer.contacts.store')); ?>" method="post">
                                <?php echo csrf_field(); ?>
                                <div class="row">

                                    <div class="col-12">
                                        <div class="form-group">
                                            <label for="name" class="required"><?php echo e(__('locale.labels.name')); ?></label>
                                            <input type="text" id="name" class="form-control <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e(old('name')); ?>" name="name" required>
                                            <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <div class="invalid-feedback">
                                                <?php echo e($message); ?>

                                            </div>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-12">
                                        <div class="divider divider-left divider-primary">
                                            <div class="divider-text text-uppercase text-bold-600 text-primary"><?php echo e(__('locale.labels.settings')); ?></div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-10">
                                        <p class="mb-0 text-primary"><?php echo e(__('locale.contacts.send_welcome_message')); ?>?</p>
                                        <p><small class=""><?php echo __('locale.contacts.send_welcome_message_description'); ?></small></p>

                                    </div>
                                    <div class="col-2">
                                        <div class="form-group">
                                            <div class="custom-control custom-switch switch-lg custom-switch-success mt-2">
                                                <input type="checkbox" name="send_welcome_sms" value="1" checked class="custom-control-input" id="send_welcome_sms">
                                                <label class="custom-control-label" for="send_welcome_sms">
                                                    <span class="switch-text-left"><?php echo e(__('locale.labels.yes')); ?></span>
                                                    <span class="switch-text-right"><?php echo e(__('locale.labels.no')); ?></span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row mt-2">
                                    <div class="col-10">
                                        <p class="mb-0 text-primary"><?php echo e(__('locale.contacts.send_unsubscribe_notification')); ?>?</p>
                                        <p><small class=""><?php echo __('locale.contacts.send_unsubscribe_notification_description'); ?></small></p>

                                    </div>
                                    <div class="col-2">
                                        <div class="form-group">
                                            <div class="custom-control custom-switch switch-lg custom-switch-success mt-2">
                                                <input type="checkbox" name="unsubscribe_notification" value="1" checked class="custom-control-input" id="unsubscribe_notification">
                                                <label class="custom-control-label" for="unsubscribe_notification">
                                                    <span class="switch-text-left"><?php echo e(__('locale.labels.yes')); ?></span>
                                                    <span class="switch-text-right"><?php echo e(__('locale.labels.no')); ?></span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view_keywords')): ?>
                                    <div class="row mt-2">
                                        <div class="col-10">
                                            <p class="mb-0 text-primary"><?php echo e(__('locale.contacts.send_keyword_message')); ?>?</p>
                                            <p><small class=""><?php echo __('locale.contacts.send_keyword_message_description'); ?></small> <a href="#" class="text-danger small"><?php echo e(__('locale.menu.Keywords')); ?></a> </p>

                                        </div>
                                        <div class="col-2">
                                            <div class="form-group">
                                                <div class="custom-control custom-switch switch-lg custom-switch-success mt-2">
                                                    <input type="checkbox" name="send_keyword_message" value="1" class="custom-control-input" id="send_keyword_message">
                                                    <label class="custom-control-label" for="send_keyword_message">
                                                        <span class="switch-text-left"><?php echo e(__('locale.labels.yes')); ?></span>
                                                        <span class="switch-text-right"><?php echo e(__('locale.labels.no')); ?></span>
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                <?php endif; ?>

                                <div class="row mt-2">
                                    <div class="col-12">
                                        <input type="hidden" value="1" name="is_admin">
                                        <button type="submit" class="btn btn-primary mr-1 mb-1">
                                            <i class="feather icon-save"></i> <?php echo e(__('locale.buttons.save')); ?>

                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>

                    </div>
                </div>
            </div>


        </div>
    </section>
    <!-- // Basic Vertical form layout section end -->


<?php $__env->stopSection(); ?>


<?php $__env->startSection('page-script'); ?>

    <script>
        let firstInvalid = $('form').find('.is-invalid').eq(0);

        if (firstInvalid.length) {
            $('body, html').stop(true, true).animate({
                'scrollTop': firstInvalid.offset().top - 200 + 'px'
            }, 200);
        }

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts/contentLayoutMaster', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/shamim/code/v32/resources/views/customer/contactGroups/create.blade.php ENDPATH**/ ?>