<?php $__env->startSection('title', __('locale.labels.top_up')); ?>

<?php $__env->startSection('content'); ?>
    <!-- Basic Vertical form layout section start -->
    <section id="basic-vertical-layouts">
        <div class="row match-height">
            <div class="col-md-6 col-12">

                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title"> <?php echo e(__('locale.customer.add_unit_to_your_account')); ?> </h4>
                    </div>
                    <div class="card-content">
                        <div class="card-body">
                            <div class="form-body">
                                <form class="form form-vertical" action="<?php echo e(route('user.account.top_up')); ?>" method="post">
                                    <?php echo csrf_field(); ?>
                                    <div class="row">
                                        <div class="col-12">

                                            <p><?php echo __('locale.description.add_unit'); ?></p>

                                            <div class="form-group">
                                                <label for="add_unit" class="required"><?php echo e(__('locale.labels.per_unit_price')); ?> = <?php echo e(Auth::user()->customer->subscription->plan->getOption('per_unit_price')); ?> <?php echo e(Auth::user()->customer->subscription->plan->currency->code); ?></label>

                                                <div class="input-group">
                                                    <input type="text" id="add_unit" class="form-control <?php $__errorArgs = ['add_unit'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="add_unit" required>
                                                    <?php $__errorArgs = ['add_unit'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="invalid-feedback">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                    <div class="input-group-append">
                                                        <span class="input-group-text text-primary font-weight-bold update-price">0 <?php echo e(Auth::user()->customer->subscription->plan->currency->code); ?></span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-12">
                                            <button type="submit" class="btn btn-primary mr-1 mb-1">
                                                <i class="feather icon-shopping-cart"></i> <?php echo e(__('locale.labels.checkout')); ?>

                                            </button>
                                        </div>


                                    </div>
                                </form>
                            </div>

                        </div>
                    </div>
                </div>


            </div>
        </div>
    </section>
    <!-- // Basic Vertical form layout section end -->


<?php $__env->stopSection(); ?>


<?php $__env->startSection('page-script'); ?>

    <script>
        let firstInvalid = $('form').find('.is-invalid').eq(0),
            price = 0,
            $get_price = $("#add_unit");

        if (firstInvalid.length) {
            $('body, html').stop(true, true).animate({
                'scrollTop': firstInvalid.offset().top - 200 + 'px'
            }, 200);
        }


        function get_price() {
            let total_unit = $get_price[0].value;
            let total_price = total_unit * "<?php echo e(Auth::user()->customer->subscription->plan->getOption('per_unit_price')); ?>";
            $('.update-price').text(Math.ceil(total_price) + " <?php echo e(Auth::user()->customer->subscription->plan->currency->code); ?>")
        }

        $get_price.keyup(get_price);

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts/contentLayoutMaster', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/shamim/code/v32/resources/views/customer/Accounts/top_up.blade.php ENDPATH**/ ?>