<div class="row">
    <div class="col-md-8 col-12">
        <p><?php echo e(__('locale.description.plan_sending_server_intro')); ?>.</p>
    </div>
    <div class="col-md-4 col-12">
        <button class="btn btn-primary px-1 py-1 waves-effect waves-light pull-right btn-sm" data-toggle="modal"
                data-target="#addSendingSever"><i
                    class="feather icon-plus-circle"></i> <?php echo e(__('locale.sending_servers.add_sending_server')); ?>

        </button>


        
        <div class="modal fade text-left" id="addSendingSever" role="dialog" aria-labelledby="addSendingSever"
             aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title" id="myModalLabel33"><?php echo e(__('locale.sending_servers.add_sending_server')); ?> </h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <form action="<?php echo e(route('admin.plans.settings.sending-servers', $plan->uid)); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        <div class="modal-body">

                            <label for="sending_server_uid" class="required"><?php echo e(__('locale.sending_servers.select_sending_server')); ?></label>
                            <div class="form-group">

                                <select class="form-control select2" id="sending_server_id" name="sending_server_id">
                                    <?php if($sending_servers->count()): ?>
                                        <?php $__currentLoopData = $sending_servers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $server): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($server->uid); ?>"> <?php echo e($server->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php else: ?>
                                        <option><?php echo e(__('locale.sending_servers.have_no_sending_server_to_add')); ?></option>
                                    <?php endif; ?>
                                </select>
                                <?php $__errorArgs = ['sending_server_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="text-danger">
                                    <?php echo e($message); ?>

                                </div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>

                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger btn-sm" data-dismiss="modal"><?php echo e(__('locale.buttons.close')); ?></button>
                            <button type="submit" class="btn btn-primary btn-sm"><?php echo e(__('locale.labels.choose')); ?></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>


    
    <div class="table-responsive mt-4">
        <table class="table table-striped data-list-view">
            <tbody>
            <?php if($plan->plansSendingServers()->count() > 0): ?>
                <?php $__currentLoopData = $plan->plansSendingServers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $planSendingServer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php if(! empty($planSendingServer->sendingServer)): ?>
                        <tr>
                            <td>
                                <div>
                                    <p><?php echo e($planSendingServer->sendingServer->name); ?>

                                        <?php if($planSendingServer->isPrimary()): ?>
                                            <span class="badge badge-primary"><?php echo e(__('locale.labels.primary')); ?></span>
                                        <?php endif; ?>
                                    </p>
                                    <p class="text-muted"><?php echo e(__('locale.sending_servers.sending_limit')); ?> <?php echo $planSendingServer->sendingServer->displayQuotaHtml(); ?></p>
                                </div>
                            </td>
                            <td class="text-right">
                                <?php if(!$planSendingServer->isPrimary()): ?>
                                    <button class="btn btn-primary btn-sm  action-set-primary mr-1"
                                            data-id="<?php echo e($planSendingServer->sendingServer->uid); ?>"><i
                                                class="feather icon-save"></i> <?php echo e(__('locale.labels.set_primary')); ?></button>
                                <?php endif; ?>

                                <a href="<?php echo e(route('admin.sending-servers.show', $planSendingServer->sendingServer->uid)); ?>" class="btn btn-success btn-sm "><i class="feather icon-edit"></i> <?php echo e(__('locale.buttons.edit')); ?></a>

                                <button class="btn btn-danger  btn-sm action-delete mr-1" data-id="<?php echo e($planSendingServer->sendingServer->uid); ?>"><i class="feather icon-trash"></i> <?php echo e(__('locale.buttons.delete')); ?></button>


                            </td>
                        </tr>
                    <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php else: ?>
                <p class="text-center text-highlight text-bold-600 text-danger"><i
                            class="feather icon-menu"></i> <?php echo e(__('locale.sending_servers.have_no_sending_server')); ?>

                </p>
            <?php endif; ?>
            </tbody>
        </table>
    </div>

    

    

    
    
    
    
    
    
    
    
    
    
    
    

    
    
    
    
    
    
    
    
    
    

    
    
    
    
    
    
    
    
    

    

</div>

<?php /**PATH /Users/shamim/code/v32/resources/views/admin/plans/_sending_server.blade.php ENDPATH**/ ?>