<?php if(isset($template)): ?>
    <?php $__env->startSection('title', __('locale.templates.update_template')); ?>
<?php else: ?>
    <?php $__env->startSection('title', __('locale.templates.add_template')); ?>
<?php endif; ?>


<?php $__env->startSection('vendor-style'); ?>
    <!-- vendor css files -->
    <link rel="stylesheet" href="<?php echo e(asset(mix('vendors/css/forms/select/select2.min.css'))); ?>">

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <!-- Basic Vertical form layout section start -->
    <section id="basic-vertical-layouts">
        <div class="row match-height">
            <div class="col-md-6 col-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title"><?php if(isset($template)): ?> <?php echo e(__('locale.templates.update_template')); ?> <?php else: ?> <?php echo e(__('locale.templates.add_template')); ?> <?php endif; ?> </h4>
                    </div>
                    <div class="card-content">
                        <div class="card-body">
                            <form class="form form-vertical" <?php if(isset($template)): ?> action="<?php echo e(route('customer.templates.update',  $template->uid)); ?>" <?php else: ?> action="<?php echo e(route('customer.templates.store')); ?>" <?php endif; ?> method="post">
                                <?php if(isset($template)): ?>
                                    <?php echo e(method_field('PUT')); ?>

                                <?php endif; ?>
                                <?php echo csrf_field(); ?>
                                <div class="form-body">
                                    <div class="row">

                                        <div class="col-12">
                                            <div class="form-group">
                                                <label for="name" class="required"><?php echo e(__('locale.labels.name')); ?></label>
                                                <input type="text" id="name" class="form-control <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e(old('name',  isset($template->name) ? $template->name : null)); ?>" name="name" required placeholder="<?php echo e(__('locale.labels.required')); ?>" autofocus>
                                                <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>


                                        <div class="col-12">
                                            <div class="form-group">
                                                <label><?php echo e(__('locale.labels.available_tag')); ?></label>
                                                <select class="form-control select2" id="available_tag">
                                                    <option value="phone"><?php echo e(__('locale.labels.phone')); ?></option>
                                                    <option value="first_name"><?php echo e(__('locale.labels.first_name')); ?></option>
                                                    <option value="last_name"><?php echo e(__('locale.labels.last_name')); ?></option>
                                                    <option value="email"><?php echo e(__('locale.labels.email')); ?></option>
                                                    <option value="username"><?php echo e(__('locale.labels.username')); ?></option>
                                                    <option value="company"><?php echo e(__('locale.labels.company')); ?></option>
                                                    <option value="address"><?php echo e(__('locale.labels.address')); ?></option>
                                                    <option value="birth_date"><?php echo e(__('locale.labels.birth_date')); ?></option>
                                                    <option value="anniversary_date"><?php echo e(__('locale.labels.anniversary_date')); ?></option>

                                                    <?php if($template_tags): ?>
                                                        <?php $__currentLoopData = $template_tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $field): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($field->tag); ?>"><?php echo e($field->name); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    <?php endif; ?>
                                                </select>
                                            </div>
                                        </div>


                                        <div class="col-12">
                                            <div class="form-group">
                                                <label for="text_message" class="required"><?php echo e(__('locale.labels.message')); ?></label>
                                                <textarea class="form-control" name="message" rows="5" id="text_message"><?php echo e(old('message',  isset($template->message) ? $template->message : null)); ?></textarea>

                                                <small class="text-primary text-uppercase" id="remaining">160 <?php echo e(__('locale.labels.characters_remaining')); ?></small>
                                                <small class="text-primary text-uppercase pull-right" id="messages">1 <?php echo e(__('locale.labels.message')); ?> (s)</small>
                                                <?php $__errorArgs = ['message'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>


                                        <div class="col-12">
                                            <button type="submit" class="btn btn-primary mr-1 mb-1"><i class="feather icon-save"></i> <?php echo e(__('locale.buttons.save')); ?></button>
                                            <button type="reset" class="btn btn-outline-warning mr-1 mb-1"><i class="feather icon-refresh-cw"></i> <?php echo e(__('locale.buttons.reset')); ?></button>
                                        </div>

                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- // Basic Vertical form layout section end -->

<?php $__env->stopSection(); ?>

<?php $__env->startSection('vendor-script'); ?>
    <!-- vendor files -->
    <script src="<?php echo e(asset(mix('vendors/js/forms/select/select2.full.min.js'))); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-script'); ?>

    <script>
        $(document).ready(function () {
            let $get_msg = $("#text_message"),
                maxCharInitial = 160,
                maxChar = 157,
                messages = 1,
                $remaining = $('#remaining'),
                $messages = $remaining.next(),
                merge_state = $('#available_tag');

            merge_state.on('change', function () {
                const caretPos = $get_msg[0].selectionStart;
                const textAreaTxt = $get_msg.val();
                let txtToAdd = this.value;
                if (txtToAdd) {
                    txtToAdd = '{' + txtToAdd + '}';
                }

                $get_msg.val(textAreaTxt.substring(0, caretPos) + txtToAdd + textAreaTxt.substring(caretPos));

                get_character();
            });

            function get_character() {
                let totalChar = $get_msg[0].value.length;
                let remainingChar;

                if (totalChar <= maxCharInitial) {
                    remainingChar = maxCharInitial - totalChar;
                    messages = 1;
                } else {
                    totalChar = totalChar - maxCharInitial;
                    messages = Math.ceil(totalChar / maxChar);
                    remainingChar = messages * maxChar - totalChar;
                    messages = messages + 1;
                }

                $remaining.text(remainingChar + " <?php echo __('locale.labels.characters_remaining'); ?>");
                $messages.text(messages + " <?php echo __('locale.labels.message'); ?>" + '(s)');
            }

            $(".select2").select2({
                dropdownAutoWidth: true,
                width: '100%',
                theme: "classic"
            });

            let firstInvalid = $('form').find('.is-invalid').eq(0);

            if (firstInvalid.length) {
                $('body, html').stop(true, true).animate({
                    'scrollTop': firstInvalid.offset().top - 200 + 'px'
                }, 200);
            }

            $get_msg.keyup(get_character);

        });


    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts/contentLayoutMaster', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/shamim/code/v32/resources/views/customer/Templates/create.blade.php ENDPATH**/ ?>