<?php if(isset($pageConfigs)): ?>
<?php echo Helper::updatePageConfig($pageConfigs); ?>

<?php endif; ?>

<!DOCTYPE html>
<html lang="<?php if(session()->has('locale')): ?><?php echo e(Session::get('locale')); ?><?php else: ?><?php echo e("en"); ?><?php endif; ?>" data-textdirection="<?php echo e(env('MIX_CONTENT_DIRECTION') === 'rtl' ? 'rtl' : 'ltr'); ?>">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width,initial-scale=1.0">
    <meta name="keywords" content="<?php echo e(config('app.keyword')); ?>" />
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title><?php echo $__env->yieldContent('title'); ?> - <?php echo e(config('app.title')); ?></title>
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo asset(config('app.favicon')); ?>"/>

    
    <?php echo $__env->make('panels/styles', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

</head>


<?php
$configData = Helper::applClasses();
?>

<body
    class="vertical-layout vertical-menu-modern 1-column <?php echo e($configData['blankPageClass']); ?> <?php echo e($configData['bodyClass']); ?> <?php echo e(($configData['theme'] === 'light') ? '' : $configData['layoutTheme']); ?> <?php echo e($configData['footerType']); ?>"
    data-menu="vertical-menu-modern" data-col="1-column">

    <!-- BEGIN: Header-->
    <div class="content-overlay"></div>
    <div class="header-navbar-shadow"></div>

    <!-- BEGIN: Content-->
    <div class="app-content content">
        <div class="content-wrapper">

            <div class="content-body">
                
                <?php echo $__env->yieldContent('content'); ?>
            </div>
        </div>
    </div>
    <!-- End: Content-->

    
    <?php echo $__env->make('panels/scripts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->yieldPushContent('scripts'); ?>

</body>

</html>
<?php /**PATH /Users/shamim/code/v32/resources/views/layouts/fullLayoutMaster.blade.php ENDPATH**/ ?>