<?php $__env->startSection('title', $gateway->name); ?>

<?php $__env->startSection('content'); ?>

    
    <section id="vertical-tabs">

        <div class="row match-height">
            <div class="col-md-6 col-12">
                <div class="card overflow-hidden">
                    <div class="card-header">
                        <h4 class="card-title"><?php echo e($gateway->name); ?></h4>
                    </div>
                    <div class="card-content">
                        <div class="card-body">

                            <?php switch($gateway->type):
                                case ('paypal'): ?>
                                <p><?php echo __('locale.description.paypal'); ?></p>
                                <?php break; ?>

                                <?php case ('braintree'): ?>
                                <p><?php echo __('locale.description.braintree'); ?></p>
                                <?php break; ?>

                                <?php case ('stripe'): ?>
                                <p><?php echo __('locale.description.stripe'); ?></p>
                                <?php break; ?>

                                <?php case ('authorize_net'): ?>
                                <p><?php echo __('locale.description.authorize_net'); ?></p>
                                <?php break; ?>

                                <?php case ('2checkout'): ?>
                                <p><?php echo __('locale.description.2checkout'); ?></p>
                                <?php break; ?>

                                <?php case ('paystack'): ?>
                                <p><?php echo __('locale.description.paystack', ['callback_url' => route('customer.callback.paystack')]); ?></p>
                                <?php break; ?>

                                <?php case ('paynow'): ?>
                                <p><?php echo __('locale.description.paynow'); ?></p>
                                <?php break; ?>

                                <?php case ('razorpay'): ?>
                                <p><?php echo __('locale.description.razorpay',[
                                       'callback_url_senderid' => route('customer.callback.razorpay.senderid'),
                                       'callback_url_keywords' => route('customer.callback.razorpay.keywords'),
                                       'callback_url_subscriptions' => route('customer.callback.razorpay.subscriptions'),
                                        ]); ?></p>
                                <?php break; ?>


                            <?php endswitch; ?>

                            <form class="form form-vertical" action="<?php echo e(route('admin.payment-gateways.update', $gateway->uid)); ?>" method="post">
                                <?php echo method_field('PUT'); ?>
                                <?php echo csrf_field(); ?>
                                <div class="form-body">
                                    <div class="row">

                                        <div class="col-12">
                                            <div class="form-group">
                                                <label for="name" class="required"><?php echo e(__('locale.labels.name')); ?></label>
                                                <input type="text" id="secret" name="name" class="form-control" value="<?php echo e($gateway->name); ?>" required>
                                                <span class="text-muted"><?php echo e(__('locale.payment_gateways.rename_name')); ?></span>
                                                <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="text-danger">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>

                                        <?php if($gateway->type == \App\Models\PaymentMethods::TYPE_PAYPAL): ?>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="environment" class="required"><?php echo e(__('locale.labels.environment')); ?></label>
                                                    <select class="form-control" name="environment" id="environment">
                                                        <option value="sandbox" <?php if($gateway->getOption('environment') == 'sandbox' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.sandbox')); ?></option>
                                                        <option value="production" <?php if($gateway->getOption('environment') == 'production' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.production')); ?> </option>
                                                    </select>
                                                    <?php $__errorArgs = ['environment'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>


                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="client_id" class="required"><?php echo e(__('locale.labels.client_id')); ?></label>
                                                    <input type="text" id="client_id" name="client_id" class="form-control" value="<?php echo e($gateway->getOption('client_id')); ?>" required>
                                                    <?php $__errorArgs = ['client_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="secret" class="required"><?php echo e(__('locale.labels.client_secret')); ?></label>
                                                    <input type="text" id="secret" name="secret" class="form-control" value="<?php echo e($gateway->getOption('secret')); ?>" required>
                                                    <?php $__errorArgs = ['secret'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                        <?php elseif($gateway->type == \App\Models\PaymentMethods::TYPE_BRAINTREE): ?>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="environment" class="required"><?php echo e(__('locale.labels.environment')); ?></label>
                                                    <select class="form-control" name="environment" id="environment">
                                                        <option value="sandbox" <?php if($gateway->getOption('environment') == 'sandbox' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.sandbox')); ?></option>
                                                        <option value="production" <?php if($gateway->getOption('environment') == 'production' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.production')); ?> </option>
                                                    </select>
                                                    <?php $__errorArgs = ['environment'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>


                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="merchant_id" class="required"><?php echo e(__('locale.labels.merchant_id')); ?></label>
                                                    <input type="text" id="merchant_id" name="merchant_id" class="form-control" value="<?php echo e($gateway->getOption('merchant_id')); ?>" required>
                                                    <?php $__errorArgs = ['merchant_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="public_key" class="required"><?php echo e(__('locale.labels.public_key')); ?></label>
                                                    <input type="text" id="public_key" name="public_key" class="form-control" value="<?php echo e($gateway->getOption('public_key')); ?>" required>
                                                    <?php $__errorArgs = ['public_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="private_key" class="required"><?php echo e(__('locale.labels.private_key')); ?></label>
                                                    <input type="text" id="private_key" name="private_key" class="form-control" value="<?php echo e($gateway->getOption('private_key')); ?>" required>
                                                    <?php $__errorArgs = ['private_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                        <?php elseif($gateway->type == \App\Models\PaymentMethods::TYPE_STRIPE): ?>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="environment" class="required"><?php echo e(__('locale.labels.environment')); ?></label>
                                                    <select class="form-control" name="environment" id="environment">
                                                        <option value="sandbox" <?php if($gateway->getOption('environment') == 'sandbox' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.sandbox')); ?></option>
                                                        <option value="production" <?php if($gateway->getOption('environment') == 'production' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.production')); ?> </option>
                                                    </select>
                                                    <?php $__errorArgs = ['environment'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>


                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="publishable_key" class="required"><?php echo e(__('locale.labels.publishable_key')); ?></label>
                                                    <input type="text" id="publishable_key" name="publishable_key" class="form-control" value="<?php echo e($gateway->getOption('publishable_key')); ?>" required>
                                                    <?php $__errorArgs = ['publishable_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="secret_key" class="required"><?php echo e(__('locale.labels.secret_key')); ?></label>
                                                    <input type="text" id="secret_key" name="secret_key" class="form-control" value="<?php echo e($gateway->getOption('secret_key')); ?>" required>
                                                    <?php $__errorArgs = ['secret_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                        <?php elseif($gateway->type == \App\Models\PaymentMethods::TYPE_AUTHORIZE_NET): ?>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="environment" class="required"><?php echo e(__('locale.labels.environment')); ?></label>
                                                    <select class="form-control" name="environment" id="environment">
                                                        <option value="sandbox" <?php if($gateway->getOption('environment') == 'sandbox' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.sandbox')); ?></option>
                                                        <option value="production" <?php if($gateway->getOption('environment') == 'production' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.production')); ?> </option>
                                                    </select>
                                                    <?php $__errorArgs = ['environment'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>


                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="login_id" class="required"><?php echo e(__('locale.labels.login_id')); ?></label>
                                                    <input type="text" id="login_id" name="login_id" class="form-control" value="<?php echo e($gateway->getOption('login_id')); ?>" required>
                                                    <?php $__errorArgs = ['login_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="transaction_key" class="required"><?php echo e(__('locale.labels.transaction_key')); ?></label>
                                                    <input type="text" id="transaction_key" name="transaction_key" class="form-control" value="<?php echo e($gateway->getOption('transaction_key')); ?>" required>
                                                    <?php $__errorArgs = ['transaction_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                        <?php elseif($gateway->type == \App\Models\PaymentMethods::TYPE_2CHECKOUT): ?>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="environment" class="required"><?php echo e(__('locale.labels.environment')); ?></label>
                                                    <select class="form-control" name="environment" id="environment">
                                                        <option value="sandbox" <?php if($gateway->getOption('environment') == 'sandbox' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.sandbox')); ?></option>
                                                        <option value="production" <?php if($gateway->getOption('environment') == 'production' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.production')); ?> </option>
                                                    </select>
                                                    <?php $__errorArgs = ['environment'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>


                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="merchant_code" class="required"><?php echo e(__('locale.labels.merchant_code')); ?></label>
                                                    <input type="text" id="merchant_code" name="merchant_code" class="form-control" value="<?php echo e($gateway->getOption('merchant_code')); ?>" required>
                                                    <?php $__errorArgs = ['merchant_code'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>


                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="private_key" class="required"><?php echo e(__('locale.labels.private_key')); ?></label>
                                                    <input type="text" id="private_key" name="private_key" class="form-control" value="<?php echo e($gateway->getOption('private_key')); ?>" required>
                                                    <?php $__errorArgs = ['private_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>


                                        <?php elseif($gateway->type == \App\Models\PaymentMethods::TYPE_PAYSTACK): ?>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="public_key" class="required"><?php echo e(__('locale.labels.public_key')); ?></label>
                                                    <input type="text" id="public_key" name="public_key" class="form-control" value="<?php echo e($gateway->getOption('public_key')); ?>" required>
                                                    <?php $__errorArgs = ['public_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="secret_key" class="required"><?php echo e(__('locale.labels.secret_key')); ?></label>
                                                    <input type="text" id="secret_key" name="secret_key" class="form-control" value="<?php echo e($gateway->getOption('secret_key')); ?>" required>
                                                    <?php $__errorArgs = ['secret_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="merchant_email" class="required"><?php echo e(__('locale.labels.merchant_email')); ?></label>
                                                    <input type="email" id="merchant_email" name="merchant_email" class="form-control" value="<?php echo e($gateway->getOption('merchant_email')); ?>" required>
                                                    <?php $__errorArgs = ['merchant_email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                        <?php elseif($gateway->type == \App\Models\PaymentMethods::TYPE_PAYU): ?>
                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="client_id" class="required"><?php echo e(__('locale.labels.client_id')); ?></label>
                                                    <input type="text" id="client_id" name="client_id" class="form-control" value="<?php echo e($gateway->getOption('client_id')); ?>" required>
                                                    <?php $__errorArgs = ['client_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="client_secret" class="required"><?php echo e(__('locale.labels.client_secret')); ?></label>
                                                    <input type="text" id="secret" name="client_secret" class="form-control" value="<?php echo e($gateway->getOption('client_secret')); ?>" required>
                                                    <?php $__errorArgs = ['client_secret'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                        <?php elseif($gateway->type == \App\Models\PaymentMethods::TYPE_SLYDEPAY): ?>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="merchant_email" class="required"><?php echo e(__('locale.labels.merchant_email')); ?></label>
                                                    <input type="email" id="merchant_email" name="merchant_email" class="form-control" value="<?php echo e($gateway->getOption('merchant_email')); ?>" required>
                                                    <?php $__errorArgs = ['merchant_email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="merchant_secret" class="required"><?php echo e(__('locale.labels.merchant_secret')); ?></label>
                                                    <input type="text" id="secret" name="merchant_secret" class="form-control" value="<?php echo e($gateway->getOption('merchant_secret')); ?>" required>
                                                    <?php $__errorArgs = ['merchant_secret'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                        <?php elseif($gateway->type == \App\Models\PaymentMethods::TYPE_PAYNOW): ?>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="integration_id" class="required"><?php echo e(__('locale.labels.integration_id')); ?></label>
                                                    <input type="text" id="integration_id" name="integration_id" class="form-control" value="<?php echo e($gateway->getOption('integration_id')); ?>" required>
                                                    <?php $__errorArgs = ['integration_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="integration_key" class="required"><?php echo e(__('locale.labels.integration_key')); ?></label>
                                                    <input type="text" id="secret" name="integration_key" class="form-control" value="<?php echo e($gateway->getOption('integration_key')); ?>" required>
                                                    <?php $__errorArgs = ['integration_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                        <?php elseif($gateway->type == \App\Models\PaymentMethods::TYPE_COINPAYMENTS): ?>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="merchant_id" class="required"><?php echo e(__('locale.labels.merchant_id')); ?></label>
                                                    <input type="text" id="secret" name="merchant_id" class="form-control" value="<?php echo e($gateway->getOption('merchant_id')); ?>" required>
                                                    <?php $__errorArgs = ['merchant_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                        <?php elseif($gateway->type == \App\Models\PaymentMethods::TYPE_INSTAMOJO): ?>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="api_key" class="required"><?php echo e(__('locale.labels.api_key')); ?></label>
                                                    <input type="text" id="secret" name="api_key" class="form-control" value="<?php echo e($gateway->getOption('api_key')); ?>" required>
                                                    <?php $__errorArgs = ['api_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="auth_token" class="required"><?php echo e(__('locale.labels.auth_token')); ?></label>
                                                    <input type="text" id="secret" name="auth_token" class="form-control" value="<?php echo e($gateway->getOption('auth_token')); ?>" required>
                                                    <?php $__errorArgs = ['auth_token'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>


                                        <?php elseif($gateway->type == \App\Models\PaymentMethods::TYPE_PAYUMONEY): ?>


                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="environment" class="required"><?php echo e(__('locale.labels.environment')); ?></label>
                                                    <select class="form-control" name="environment" id="environment">
                                                        <option value="sandbox" <?php if($gateway->getOption('environment') == 'sandbox' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.sandbox')); ?></option>
                                                        <option value="production" <?php if($gateway->getOption('environment') == 'production' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.production')); ?> </option>
                                                    </select>
                                                    <?php $__errorArgs = ['environment'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>


                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="merchant_key" class="required"><?php echo e(__('locale.labels.merchant_key')); ?></label>
                                                    <input type="text" id="secret" name="merchant_key" class="form-control" value="<?php echo e($gateway->getOption('merchant_key')); ?>" required>
                                                    <?php $__errorArgs = ['merchant_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="merchant_salt" class="required"><?php echo e(__('locale.labels.merchant_salt')); ?></label>
                                                    <input type="text" id="secret" name="merchant_salt" class="form-control" value="<?php echo e($gateway->getOption('merchant_salt')); ?>" required>
                                                    <?php $__errorArgs = ['merchant_salt'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>


                                        <?php elseif($gateway->type == \App\Models\PaymentMethods::TYPE_RAZORPAY): ?>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="environment" class="required"><?php echo e(__('locale.labels.environment')); ?></label>
                                                    <select class="form-control" name="environment" id="environment">
                                                        <option value="sandbox" <?php if($gateway->getOption('environment') == 'sandbox' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.sandbox')); ?></option>
                                                        <option value="production" <?php if($gateway->getOption('environment') == 'production' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.production')); ?> </option>
                                                    </select>
                                                    <?php $__errorArgs = ['environment'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="key_id" class="required"><?php echo e(__('locale.labels.key_id')); ?></label>
                                                    <input type="text" id="secret" name="key_id" class="form-control" value="<?php echo e($gateway->getOption('key_id')); ?>" required>
                                                    <?php $__errorArgs = ['key_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="key_secret" class="required"><?php echo e(__('locale.labels.key_secret')); ?></label>
                                                    <input type="text" id="secret" name="key_secret" class="form-control" value="<?php echo e($gateway->getOption('key_secret')); ?>" required>
                                                    <?php $__errorArgs = ['key_secret'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                        <?php elseif($gateway->type == \App\Models\PaymentMethods::TYPE_SSLCOMMERZ): ?>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="environment" class="required"><?php echo e(__('locale.labels.environment')); ?></label>
                                                    <select class="form-control" name="environment" id="environment">
                                                        <option value="sandbox" <?php if($gateway->getOption('environment') == 'sandbox' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.sandbox')); ?></option>
                                                        <option value="production" <?php if($gateway->getOption('environment') == 'production' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.production')); ?> </option>
                                                    </select>
                                                    <?php $__errorArgs = ['environment'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="store_id" class="required"><?php echo e(__('locale.labels.store_id')); ?></label>
                                                    <input type="text" id="secret" name="store_id" class="form-control" value="<?php echo e($gateway->getOption('store_id')); ?>" required>
                                                    <?php $__errorArgs = ['store_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="store_passwd" class="required"><?php echo e(__('locale.labels.store_password')); ?></label>
                                                    <input type="text" id="secret" name="store_passwd" class="form-control" value="<?php echo e($gateway->getOption('store_passwd')); ?>" required>
                                                    <?php $__errorArgs = ['store_passwd'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                        <?php elseif($gateway->type == \App\Models\PaymentMethods::TYPE_AAMARPAY): ?>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="environment" class="required"><?php echo e(__('locale.labels.environment')); ?></label>
                                                    <select class="form-control" name="environment" id="environment">
                                                        <option value="sandbox" <?php if($gateway->getOption('environment') == 'sandbox' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.sandbox')); ?></option>
                                                        <option value="production" <?php if($gateway->getOption('environment') == 'production' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.production')); ?> </option>
                                                    </select>
                                                    <?php $__errorArgs = ['environment'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="store_id" class="required"><?php echo e(__('locale.labels.store_id')); ?></label>
                                                    <input type="text" id="secret" name="store_id" class="form-control" value="<?php echo e($gateway->getOption('store_id')); ?>" required>
                                                    <?php $__errorArgs = ['store_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="signature_key" class="required"><?php echo e(__('locale.labels.signature_key')); ?></label>
                                                    <input type="text" id="signature_key" name="signature_key" class="form-control" value="<?php echo e($gateway->getOption('signature_key')); ?>" required>
                                                    <?php $__errorArgs = ['signature_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>
                                        <?php elseif($gateway->type == \App\Models\PaymentMethods::TYPE_FLUTTERWAVE): ?>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="environment" class="required"><?php echo e(__('locale.labels.environment')); ?></label>
                                                    <select class="form-control" name="environment" id="environment">
                                                        <option value="sandbox" <?php if($gateway->getOption('environment') == 'sandbox' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.sandbox')); ?></option>
                                                        <option value="production" <?php if($gateway->getOption('environment') == 'production' ): ?> selected <?php endif; ?>><?php echo e(__('locale.labels.production')); ?> </option>
                                                    </select>
                                                    <?php $__errorArgs = ['environment'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="public_key" class="required"><?php echo e(__('locale.labels.public_key')); ?></label>
                                                    <input type="text" id="secret" name="public_key" class="form-control" value="<?php echo e($gateway->getOption('public_key')); ?>" required>
                                                    <?php $__errorArgs = ['public_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="secret_key" class="required"><?php echo e(__('locale.labels.secret_key')); ?></label>
                                                    <input type="text" id="secret_key" name="secret_key" class="form-control" value="<?php echo e($gateway->getOption('secret_key')); ?>" required>
                                                    <?php $__errorArgs = ['secret_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>

                                        <?php elseif($gateway->type == \App\Models\PaymentMethods::TYPE_CASH): ?>

                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="payment_details" class="required"><?php echo e(__('locale.labels.payment_details')); ?></label>
                                                    <textarea rows="7" class="form-control" name="payment_details" required><?php echo $gateway->getOption('payment_details'); ?></textarea>
                                                    <?php $__errorArgs = ['payment_details'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>


                                            <div class="col-12">
                                                <div class="form-group">
                                                    <label for="payment_confirmation" class="required"><?php echo e(__('locale.labels.payment_confirmation')); ?></label>
                                                    <textarea rows="7" class="form-control" name="payment_confirmation" required><?php echo $gateway->getOption('payment_confirmation'); ?></textarea>
                                                    <?php $__errorArgs = ['payment_confirmation'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <div class="text-danger">
                                                        <?php echo e($message); ?>

                                                    </div>
                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                </div>
                                            </div>
                                        <?php else: ?>
                                            <div class="col-12">
                                                <p class="text-danger text-bold-600"><?php echo e(__('locale.payment_gateways.not_found')); ?></p>
                                            </div>
                                        <?php endif; ?>

                                        <div class="col-12">
                                            <input type="hidden" value="<?php echo e($gateway->type); ?>" name="type">
                                            <button type="submit" class="btn btn-primary mr-1 mb-1"><i class="feather icon-save"></i> <?php echo e(__('locale.buttons.save')); ?></button>
                                        </div>

                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts/contentLayoutMaster', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/shamim/code/v32/resources/views/admin/settings/PaymentMethods/show.blade.php ENDPATH**/ ?>