<div class="row ml-1">
    <div class="col-12">
        <p class="mb-2"><?php echo __('locale.subscription.you_are_currently_subscribed_to_plan',
                                        [
                                                'plan' => $plan->name,
                                                'price' => \App\Library\Tool::format_price($plan->price, $plan->currency->format),
                                                'remain' => \App\Library\Tool::formatHumanTime($subscription->current_period_ends_at),
                                                'end_at' => \App\Library\Tool::customerDateTime($subscription->current_period_ends_at)
                                        ]); ?></p>

        <a href="<?php echo e(route('customer.subscriptions.renew', $subscription->uid)); ?>" class="btn btn-primary square mr-1 mb-1"><i class="feather icon-repeat"></i> <?php echo e(__('locale.labels.renew')); ?></a>
        <a href="<?php echo e(route('customer.subscriptions.change_plan', $subscription->uid)); ?>" class="btn btn-success square mr-1 mb-1"><i class="feather icon-refresh-cw"></i> <?php echo e(__('locale.labels.change_plan')); ?></a>
        <span class="btn btn-danger square mr-1 mb-1 action-cancel" data-id=<?php echo e($subscription->uid); ?>><i class="feather icon-stop-circle"></i> <?php echo e(__('locale.buttons.cancel')); ?></span>
    </div>


    <div class="col-12 mt-5">

        <h4 class="text-bold-600 font-medium-4 text-primary mb-1">
            <?php echo e(__('locale.labels.plan_details')); ?>

        </h4>

        <p><?php echo __('locale.description.current_plan_details'); ?></p>


        <div class="table-responsive">
            <table class="table mb-0">
                <tbody>

                <tr>
                    <td> <?php echo e(__('locale.labels.plan_name')); ?> </td>
                    <td class="text-primary font-medium-2"> <?php echo e($plan->name); ?> </td>
                </tr>

                <tr>
                    <td> <?php echo e(__('locale.plans.price')); ?> </td>
                    <td> <?php echo e(\App\Library\Tool::format_price($plan->price, $plan->currency->format)); ?> </td>
                </tr>

                <tr>
                    <td> <?php echo e(__('locale.labels.renew')); ?> </td>
                    <td> <?php echo e(__('locale.labels.every')); ?> <?php echo e($plan->displayFrequencyTime()); ?> </td>
                </tr>

                <tr>
                    <td> <?php echo e(__('locale.labels.sms_credit')); ?> </td>
                    <td> <?php echo e($plan->displayTotalQuota()); ?> </td>
                </tr>

                <tr>
                    <td> <?php echo e(__('locale.plans.create_own_sending_server')); ?> </td>
                    <td>
                        <?php if($plan->getOption('create_sending_server') == 'yes'): ?>
                            <?php echo e(__('locale.labels.yes')); ?>

                        <?php else: ?>
                            <?php echo e(__('locale.labels.no')); ?>

                        <?php endif; ?>
                    </td>
                </tr>

                <tr>
                    <td> <?php echo e(__('locale.customer.sender_id_verification')); ?> </td>
                    <td>
                        <?php if($plan->getOption('sender_id_verification') == 'yes'): ?>
                            <?php echo e(__('locale.labels.yes')); ?>

                        <?php else: ?>
                            <?php echo e(__('locale.labels.no')); ?>

                        <?php endif; ?>
                    </td>
                </tr>

                <tr>
                    <td> <?php echo e(__('locale.labels.cutting_system_available')); ?> </td>
                    <td>
                        <?php echo e(__('locale.labels.yes')); ?>

                    </td>
                </tr>


                <tr>
                    <td> <?php echo e(__('locale.labels.api_access')); ?> </td>
                    <td>
                        <?php if($plan->getOption('api_access') == 'yes'): ?>
                            <?php echo e(__('locale.labels.yes')); ?>

                        <?php else: ?>
                            <?php echo e(__('locale.labels.no')); ?>

                        <?php endif; ?>
                    </td>
                </tr>

                <tr>
                    <td><?php echo e(__('locale.plans.max_contact_list')); ?></td>
                    <td><?php echo e($plan->displayMaxList()); ?></td>
                </tr>

                <tr>
                    <td><?php echo e(__('locale.plans.max_contact')); ?></td>
                    <td><?php echo e($plan->displayMaxContact()); ?></td>
                </tr>

                <tr>
                    <td><?php echo e(__('locale.plans.max_contact_per_list')); ?></td>
                    <td><?php echo e($plan->displayMaxContactPerList()); ?></td>
                </tr>

                <tr>
                    <td><?php echo e(__('locale.labels.text_messages')); ?></td>
                    <td><?php echo e($plan->getOption('plain_sms')); ?> <?php echo e(__('locale.labels.credit_per_sms')); ?></td>
                </tr>

                <tr>
                    <td><?php echo e(__('locale.labels.voice_messages')); ?></td>
                    <td><?php echo e($plan->getOption('voice_sms')); ?> <?php echo e(__('locale.labels.credit_per_sms')); ?></td>
                </tr>

                <tr>
                    <td><?php echo e(__('locale.labels.picture_messages')); ?></td>
                    <td><?php echo e($plan->getOption('mms_sms')); ?> <?php echo e(__('locale.labels.credit_per_sms')); ?></td>
                </tr>


                </tbody>
            </table>
        </div>

    </div>


    <div class="col-12 mt-5">

        <h4 class="text-bold-600 font-medium-4 text-primary mb-1">
            <?php echo e(__('locale.subscription.logs')); ?> & <?php echo e(__('locale.labels.transactions')); ?>

        </h4>

        <p><?php echo __('locale.description.subscription_logs'); ?></p>

        <div class="nav-vertical">
            <ul class="nav nav-tabs nav-left flex-column mb-3" role="tablist">

                <li class="nav-item">
                    <a class="nav-link active" id="account-tab" data-toggle="tab" href="#logs" aria-controls="logs" role="tab" aria-selected="true">
                        <i class="feather icon-database mr-25"></i><?php echo e(__('locale.subscription.logs')); ?>

                    </a>
                </li>

                <li class="nav-item">
                    <a class="nav-link" id="information-tab" data-toggle="tab" href="#transactions" aria-controls="transactions" role="tab" aria-selected="false">
                        <i class="feather icon-shopping-cart mr-25"></i><?php echo e(__('locale.labels.transactions')); ?>

                    </a>
                </li>
            </ul>


            <div class="tab-content">

                <div class="tab-pane active" id="logs" aria-labelledby="account-tab" role="tabpanel">
                    <div class="table-responsive">
                        <table class="table mb-0">
                            <thead class="thead-primary">
                            <tr>
                                <th scope="col"><?php echo e(__('locale.labels.created_at')); ?></th>
                                <th scope="col"><?php echo e(__('locale.labels.message')); ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $subscription->getLogs(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $log): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td> <?php echo e(\App\Library\Tool::customerDateTime($log->created_at)); ?> </td>
                                    <td> <?php echo __('locale.subscription.log_' . $log->type, $log->getData()); ?> </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td class="text-center" colspan="5">
                                        <?php echo e(__('locale.datatables.no_results')); ?>

                                    </td>
                                </tr>
                            <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>

                <div class="tab-pane" id="transactions" aria-labelledby="information-tab" role="tabpanel">
                    <div class="table-responsive">
                        <table class="table mb-0">
                            <thead class="thead-primary">
                            <tr>
                                <th scope="col"><?php echo e(__('locale.labels.created_at')); ?></th>
                                <th scope="col"><?php echo e(__('locale.labels.title')); ?></th>
                                <th scope="col"><?php echo e(__('locale.labels.amount')); ?></th>
                                <th scope="col"><?php echo e(__('locale.labels.status')); ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $subscription->getTransactions(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $invoice): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td><?php echo e(\App\Library\Tool::customerDateTime($invoice->created_at)); ?></td>
                                    <td>
                                        <?php echo $invoice->title; ?>

                                        <?php if($invoice->description): ?>
                                            <div class="small text-muted"><?php echo $invoice->description; ?></div>
                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo e($invoice->amount); ?></td>
                                    <td>
                                        <?php if($invoice->status == 'failed'): ?>
                                            <div class="chip chip-danger">
                                                <?php elseif($invoice->status == 'pending' || $invoice->status == 'plan_change' || $invoice->status == 'renew' ): ?>
                                                    <div class="chip chip-warning">
                                                        <?php elseif($invoice->status == 'auto_charge'): ?>
                                                            <div class="chip chip-info">
                                                                <?php else: ?>
                                                                    <div class="chip chip-success">
                                                                        <?php endif; ?>
                                                                        <div class="chip-body">
                                                                            <div class="chip-text text-uppercase"> <?php echo e(str_replace('_', ' ', $invoice->status)); ?></div>
                                                                        </div>
                                                                    </div>
                                                            </div>
                                                    </div>
                                            </div>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td class="text-center" colspan="5">
                                        <?php echo e(__('locale.datatables.no_results')); ?>

                                    </td>
                                </tr>
                            <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>

            </div>
        </div>
    </div>


</div>
<?php /**PATH /Users/shamim/code/v32/resources/views/customer/Accounts/_subscriptions.blade.php ENDPATH**/ ?>