<?php if($configData["mainLayoutType"] == 'horizontal' && isset($configData["mainLayoutType"])): ?>
    <nav class="header-navbar navbar-expand-lg navbar navbar-with-menu <?php echo e($configData['navbarColor']); ?> navbar-fixed">
        <div class="navbar-header d-xl-block d-none">
            <ul class="nav navbar-nav flex-row">
                <?php if(Auth::user()->active_portal == 'customer' && Auth::user()->is_customer == 1 && Auth::user()->customer->activeSubscription()): ?>
                    <li class="nav-item"><a class="navbar-brand" href="<?php echo e(route('user.home')); ?>">
                            <div class="brand-logo"><img src="<?php echo e(asset(config('app.logo'))); ?>" alt="app logo"/></div>
                        </a>
                    </li>
                <?php else: ?>

                    <li class="nav-item"><a class="navbar-brand" href="<?php echo e(route('admin.home')); ?>">
                            <div class="brand-logo"><img src="<?php echo e(asset(config('app.logo'))); ?>" alt="app logo"/></div>
                        </a>
                    </li>
                <?php endif; ?>
            </ul>
        </div>
        <?php else: ?>
            <nav
                    class="header-navbar navbar-expand-lg navbar navbar-with-menu <?php echo e($configData['navbarClass']); ?> navbar-light navbar-shadow <?php echo e($configData['navbarColor']); ?>">
                <?php endif; ?>
                <div class="navbar-wrapper">
                    <div class="navbar-container content">
                        <div class="navbar-collapse" id="navbar-mobile">
                            <div class="mr-auto float-left bookmark-wrapper d-flex align-items-center">
                                <ul class="nav navbar-nav">
                                    <li class="nav-item mobile-menu d-xl-none mr-auto"><a class="nav-link nav-menu-main menu-toggle hidden-xs"
                                                                                          href="#"><i class="ficon feather icon-menu"></i></a></li>
                                </ul>

                            </div>
                            <ul class="nav navbar-nav float-right">
                                <li class="dropdown dropdown-language nav-item">
                                    <a class="dropdown-toggle nav-link" id="dropdown-flag" href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                        <i class="flag-icon flag-icon-us"></i>
                                        <span class="selected-language">English</span>
                                    </a>
                                    <div class="dropdown-menu" aria-labelledby="dropdown-flag">
                                        <?php $__currentLoopData = \App\Helpers\Helper::languages(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <a class="dropdown-item" href="<?php echo e(url('lang/'.$lang['code'])); ?>" data-language="<?php echo e($lang['code']); ?>">
                                                <i class="flag-icon flag-icon-<?php echo e($lang['iso_code']); ?>"></i> <?php echo e($lang['name']); ?>

                                            </a>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                </li>
                                <li class="nav-item d-none d-lg-block"><a class="nav-link nav-link-expand"><i class="ficon feather icon-maximize"></i></a></li>

                                <li class="dropdown dropdown-notification nav-item">
                                    <a class="nav-link nav-link-label" href="#" data-toggle="dropdown"><i class="ficon feather icon-bell"></i>
                                        <?php
                                            $count = \App\Models\Notifications::where('user_id', Auth::user()->id)->where('mark_read', 0)->count();
                                        ?>
                                        <?php if($count): ?>
                                            <span class="badge badge-pill badge-success badge-up"><?php echo e($count); ?></span>
                                        <?php endif; ?>
                                    </a>
                                    <ul class="dropdown-menu dropdown-menu-media dropdown-menu-right">
                                        <li class="dropdown-menu-header">
                                            <div class="dropdown-header m-0 p-2">
                                                <h3 class="white"><?php echo e($count); ?> New</h3><span class="grey darken-2">App Notifications</span>
                                            </div>
                                        </li>


                                        <li class="scrollable-container media-list">

                                            <?php $__currentLoopData = \App\Models\Notifications::where('user_id', Auth::user()->id)->where('mark_read', 0)->latest()->take('10')->cursor(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <a class="d-flex justify-content-between" href="<?php echo e(route('user.account')); ?>">
                                                    <div class="media d-flex align-items-start">
                                                        <?php switch($value->notification_type):
                                                            case ('user'): ?>
                                                            <div class="media-left text-primary"><i class="feather icon-plus-square font-medium-5"></i></div>
                                                            <div class="media-body">
                                                                <h6 class="primary media-heading text-primary darken-1">You have new user</h6>
                                                                <small class="notification-text"><?php echo e(str_limit($value->message, 30)); ?></small>
                                                            </div>
                                                            <?php break; ?>

                                                            <?php case ('plan'): ?>
                                                            <div class="media-left text-success"><i class="feather icon-shopping-cart font-medium-5"></i></div>
                                                            <div class="media-body">
                                                                <h6 class="success media-heading text-success darken-1">You have new subscription</h6>
                                                                <small class="notification-text"><?php echo e(str_limit($value->message, 30)); ?></small>
                                                            </div>
                                                            <?php break; ?>

                                                            <?php case ('senderid'): ?>
                                                            <div class="media-left text-danger"><i class="feather icon-user-check font-medium-5"></i></div>
                                                            <div class="media-body">
                                                                <h6 class="danger media-heading text-danger darken-1">New Sender ID notification</h6>
                                                                <small class="notification-text"><?php echo e(str_limit($value->message, 30)); ?></small>
                                                            </div>
                                                            <?php break; ?>

                                                            <?php case ('number'): ?>
                                                            <div class="media-left text-info"><i class="feather icon-phone font-medium-5"></i></div>
                                                            <div class="media-body">
                                                                <h6 class="info media-heading text-info darken-1">New Number sales </h6>
                                                                <small class="notification-text"><?php echo e(str_limit($value->message, 30)); ?></small>
                                                            </div>
                                                            <?php break; ?>

                                                            <?php case ('keyword'): ?>
                                                            <div class="media-left text-warning"><i class="feather icon-clipboard font-medium-5"></i></div>
                                                            <div class="media-body">
                                                                <h6 class="warning media-heading text-warning darken-1">New Keyword sales</h6>
                                                                <small class="notification-text"><?php echo e(str_limit($value->message, 30)); ?></small>
                                                            </div>
                                                            <?php break; ?>

                                                            <?php case ('chatbox'): ?>
                                                            <div class="media-left text-danger"><i class="feather icon-message-square font-medium-5"></i></div>
                                                            <div class="media-body">
                                                                <h6 class="danger media-heading text-danger darken-1">New Inbox Message</h6>
                                                                <small class="notification-text"><?php echo e(str_limit($value->message, 30)); ?></small>
                                                            </div>
                                                            <?php break; ?>


                                                            <?php case ('subscription'): ?>
                                                            <div class="media-left text-danger"><i class="feather icon-shopping-cart font-medium-5"></i></div>
                                                            <div class="media-body">
                                                                <h6 class="danger media-heading text-danger darken-1">Subscription Expired!</h6>
                                                                <small class="notification-text"><?php echo e(str_limit($value->message, 60)); ?></small>
                                                            </div>
                                                            <?php break; ?>

                                                            <?php case ('smsunit'): ?>
                                                            <div class="media-left text-danger"><i class="feather icon-message-square font-medium-5"></i></div>
                                                            <div class="media-body">
                                                                <h6 class="danger media-heading text-danger darken-1">SMS Unit Running Low!</h6>
                                                                <small class="notification-text"><?php echo e(str_limit($value->message, 60)); ?></small>
                                                            </div>
                                                            <?php break; ?>
                                                        <?php endswitch; ?>


                                                        <small>
                                                            <time class="media-meta"><?php echo e(\App\Library\Tool::formatHumanTime($value->created_at)); ?></time>
                                                        </small>

                                                    </div>
                                                </a>

                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </li>


                                        <li class="dropdown-menu-footer">
                                            <a class="dropdown-item p-1 text-center" href="<?php echo e(route('user.account')); ?>">Read all notifications</a>
                                        </li>
                                    </ul>
                                </li>

                                <?php if(Auth::user()->active_portal == 'customer' && Auth::user()->is_customer == 1 && Auth::user()->customer->activeSubscription()): ?>
                                    <li class="nav-item balance-top-up">
                                        <div class="show-balance">
                                            <span class="show-balance-text"><?php echo e(__('locale.labels.balance')); ?></span>
                                            <span class="show-balance-unit"><?php echo e(Auth::user()->sms_unit == '-1' ? __('locale.labels.unlimited') : Auth::user()->sms_unit); ?></span>
                                        </div>
                                        <a class="nav-link top-up-url" href="<?php echo e(route('user.account.top_up')); ?>">
                                            <button type="button" class="btn btn-sm btn-outline-success">
                                                <span class="text-white font-weight-bold" style="font-size: 12px"><?php echo e(__('locale.labels.top_up')); ?></span>
                                            </button>
                                        </a>
                                    </li>
                                <?php endif; ?>

                                <li class="dropdown dropdown-user nav-item">
                                    <a class="dropdown-toggle nav-link dropdown-user-link" href="#" data-toggle="dropdown">
                                        <div class="user-nav d-sm-flex d-none"><span class="user-name text-bold-600"><?php echo e(Auth::user()->displayName()); ?></span><span class="user-status"><?php echo e(__('locale.labels.available')); ?></span></div>
                                        <span><img class="round"
                                                   src="<?php echo e(route('user.avatar', Auth::user()->uid)); ?>" alt="avatar" height="40"
                                                   width="40"/></span>
                                    </a>
                                    <div class="dropdown-menu dropdown-menu-right">

                                        <?php if(Auth::user()->active_portal == 'admin' && Auth::user()->is_customer == 1): ?>
                                            <a class="dropdown-item" href="<?php echo e(route('user.switch_view', ['portal' => 'customer'])); ?>"><i class="feather icon-log-in"></i><?php echo e(__('locale.labels.switch_view')); ?></a>
                                            <div class="dropdown-divider"></div>
                                        <?php endif; ?>

                                        <?php if(Auth::user()->active_portal == 'customer' && Auth::user()->is_admin == 1): ?>
                                            <a class="dropdown-item" href="<?php echo e(route('user.switch_view', ['portal' => 'admin'])); ?>"><i class="feather icon-log-in"></i><?php echo e(__('locale.labels.switch_view')); ?></a>
                                            <div class="dropdown-divider"></div>
                                        <?php endif; ?>

                                        <a class="dropdown-item" href="<?php echo e(route('user.account')); ?>"><i class="feather icon-user"></i><?php echo e(__('locale.labels.profile')); ?></a>

                                        <?php if(Auth::user()->active_portal == 'customer' && Auth::user()->is_customer == 1): ?>
                                            <a class="dropdown-item" href="<?php echo e(route('customer.subscriptions.index')); ?>">
                                                <i class="feather icon-shopping-cart"></i>
                                                <?php echo e(__('locale.labels.billing')); ?>

                                            </a>
                                        <?php endif; ?>

                                        <div class="dropdown-divider"></div>

                                        <a class="dropdown-item" href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault(); document.getElementById('logout-form').submit();"><i class="feather icon-power"></i> Logout</a>
                                        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                                            <?php echo e(csrf_field()); ?>

                                        </form>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </nav>
            <!-- END: Header-->
<?php /**PATH /Users/shamim/code/v32/resources/views/panels/navbar.blade.php ENDPATH**/ ?>