<?php if(isset($tag)): ?>
    <?php $__env->startSection('title', __('locale.template_tags.update_template_tag')); ?>
<?php else: ?>
    <?php $__env->startSection('title', __('locale.template_tags.new_template_tag')); ?>
<?php endif; ?>

<?php $__env->startSection('content'); ?>

    <!-- Basic Vertical form layout section start -->
    <section id="basic-vertical-layouts">
        <div class="row match-height">
            <div class="col-md-6 col-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title"><?php if(isset($tag)): ?> <?php echo e(__('locale.template_tags.update_template_tag')); ?> <?php else: ?> <?php echo e(__('locale.template_tags.new_template_tag')); ?> <?php endif; ?> </h4>
                    </div>
                    <div class="card-content">
                        <div class="card-body">

                            <p><?php echo e(config('app.name')); ?> <?php echo __('locale.description.template_tag'); ?></p>

                            <form class="form form-vertical" <?php if(isset($tag)): ?> action="<?php echo e(route('admin.tags.update',  $tag->uid)); ?>" <?php else: ?> action="<?php echo e(route('admin.tags.store')); ?>" <?php endif; ?> method="post">
                                <?php if(isset($tag)): ?>
                                    <?php echo e(method_field('PUT')); ?>

                                <?php endif; ?>
                                <?php echo csrf_field(); ?>
                                <div class="form-body">
                                    <div class="row">

                                        <div class="col-12">
                                            <div class="form-group">
                                                <label for="name" class="required"><?php echo e(__('locale.labels.name')); ?></label>
                                                <input type="text" id="name" class="form-control <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e(old('name',  isset($tag->name) ? $tag->name : null)); ?>" name="name" required placeholder="<?php echo e(__('locale.labels.required')); ?>" autofocus>
                                                <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="invalid-feedback">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </div>
                                        </div>


                                        <div class="col-12">
                                            <fieldset class="form-group">
                                                <label for="type" class="required"><?php echo e(__('locale.labels.type')); ?></label>
                                                <select class="form-control" name="type" id="type">
                                                    <option value="text" <?php echo e(isset($tag->type) && $tag->type == 'text' ? 'selected' : null); ?>>text</option>
                                                    <option value="email" <?php echo e(isset($tag->type) && $tag->type == 'email' ? 'selected' : null); ?>>email</option>
                                                    <option value="number" <?php echo e(isset($tag->type) && $tag->type == 'number' ? 'selected' : null); ?>>number</option>
                                                    <option value="tel" <?php echo e(isset($tag->type) && $tag->type == 'tel' ? 'selected' : null); ?>>tel</option>
                                                    <option value="url" <?php echo e(isset($tag->type) && $tag->type == 'url' ? 'selected' : null); ?>>url</option>
                                                    <option value="date" <?php echo e(isset($tag->type) && $tag->type == 'date' ? 'selected' : null); ?>>date</option>
                                                </select>
                                                <?php $__errorArgs = ['type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="text-danger">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </fieldset>
                                        </div>


                                        <div class="col-12">
                                            <fieldset class="form-group">
                                                <label for="required" class="required"><?php echo e(__('locale.labels.required')); ?></label>
                                                <select class="form-control" name="required" id="required">
                                                    <option value="0" <?php echo e(isset($tag->required) && $tag->required == 0 ? 'selected' : null); ?>><?php echo e(__('locale.labels.optional')); ?> </option>
                                                    <option value="1" <?php echo e(isset($tag->required) && $tag->required == 1 ? 'selected' : null); ?>><?php echo e(__('locale.labels.required')); ?></option>
                                                </select>
                                                <?php $__errorArgs = ['required'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <div class="text-danger">
                                                    <?php echo e($message); ?>

                                                </div>
                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                            </fieldset>
                                        </div>


                                        <div class="col-12">
                                            <button type="submit" class="btn btn-primary mr-1 mb-1"><i class="feather icon-save"></i> <?php echo e(__('locale.buttons.save')); ?></button>
                                        </div>

                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- // Basic Vertical form layout section end -->

<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-script'); ?>

    <script>
        $(document).ready(function () {

            let firstInvalid = $('form').find('.is-invalid').eq(0);

            if (firstInvalid.length) {
                $('body, html').stop(true, true).animate({
                    'scrollTop': firstInvalid.offset().top - 200 + 'px'
                }, 200);
            }

        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts/contentLayoutMaster', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/shamim/code/v32/resources/views/admin/TemplateTags/create.blade.php ENDPATH**/ ?>