<?php $__env->startSection('title', __('locale.menu.Sending Servers')); ?>

<?php $__env->startSection('vendor-style'); ?>
    
    <link rel="stylesheet" href="<?php echo e(asset(mix('vendors/css/tables/datatable/datatables.min.css'))); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page-style'); ?>
    
    <link rel="stylesheet" href="<?php echo e(asset(mix('css/pages/data-list-view.css'))); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    
    <section id="data-list-view" class="data-list-view-header">
        
        <div class="table-responsive">
            <table class="table data-list-view">
                <thead>
                <tr>
                    <th></th>
                    <th><?php echo e(__('locale.labels.name')); ?></th>
                    <th><?php echo e(__('locale.labels.type')); ?></th>
                    <th><?php echo e(__('locale.labels.actions')); ?></th>
                </tr>
                </thead>
                <tbody>
                <?php $__currentLoopData = $sending_servers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $server): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php if($server["type"] === 'http'): ?>
                        <?php $color = "success" ?>
                    <?php elseif($server["type"] === 'smpp'): ?>
                        <?php $color = "primary" ?>
                    <?php elseif($server["type"] === 'whatsapp'): ?>
                        <?php $color = "info" ?>
                    <?php endif; ?>

                    <?php if($server['custom'] == 1): ?>
                        <?php $type = 'custom' ?>
                    <?php else: ?>
                        <?php $type = $server->settings ?>
                    <?php endif; ?>

                    <tr>
                        <td></td>
                        <td><?php echo e($server['name']); ?></td>
                        <td>
                            <div class="chip chip-<?php echo e($color); ?>">
                                <div class="chip-body">
                                    <div class="chip-text"><?php echo e(strtoupper($server['type'])); ?></div>
                                </div>
                            </div>
                        </td>
                        <td>
                            <a href="<?php echo e(route('customer.sending-servers.create', ['type' => $type])); ?>" class="btn btn-primary btn-sm"><?php echo e(__('locale.labels.choose')); ?></a>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
        

    </section>
    <br>
    
<?php $__env->stopSection(); ?>
<?php $__env->startSection('vendor-script'); ?>
    
    <script src="<?php echo e(asset(mix('vendors/js/tables/datatable/datatables.min.js'))); ?>"></script>
    <script src="<?php echo e(asset(mix('vendors/js/tables/datatable/datatables.buttons.min.js'))); ?>"></script>
    <script src="<?php echo e(asset(mix('vendors/js/tables/datatable/datatables.bootstrap4.min.js'))); ?>"></script>
    <script src="<?php echo e(asset(mix('vendors/js/tables/datatable/buttons.bootstrap.min.js'))); ?>"></script>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page-script'); ?>
    <script>
        $(document).ready(function () {
            "use strict"
            // init list view datatable

            $(".data-list-view").DataTable({

                "processing": true,
                "columns": [
                    {"data": "id", orderable: false, searchable: false},
                    {"data": "name"},
                    {"data": "type"},
                    {"data": "action", orderable: false, searchable: false}
                ],
                responsive: false,
                columnDefs: [
                    {
                        orderable: false,
                        searchable: false,
                        targets: 0,
                    }
                ],
                dom:
                    '<"top"<"actions action-btns"B><"action-filters"lf>><"clear">rt<"bottom"<"actions">p>',
                oLanguage: {
                    sLengthMenu: "_MENU_",
                    sZeroRecords: "<?php echo e(__('locale.datatables.no_results')); ?>",
                    sSearch: "",
                    sProcessing: "<?php echo e(__('locale.datatables.processing')); ?>",
                    oPaginate: {
                        sFirst: "<?php echo e(__('locale.datatables.first')); ?>",
                        sPrevious: "<?php echo e(__('locale.datatables.previous')); ?>",
                        sNext: "<?php echo e(__('locale.datatables.next')); ?>",
                        sLast: "<?php echo e(__('locale.datatables.last')); ?>"
                    }
                },
                aLengthMenu: [[10, 20, 50, 100], [10, 20, 50, 100]],
                order: [[0, "asc"]],
                bInfo: false,
                pageLength: 10,
                buttons: [],
                initComplete: function () {
                    $(".dt-buttons .btn").removeClass("btn-secondary")
                }
            });

            // To append actions dropdown before add new button
            let actionDropdown = $(".add-new-div")
            actionDropdown.insertBefore($(".top .actions .dt-buttons"))

            // Scrollbar
            if ($(".data-items").length > 0) {
                new PerfectScrollbar(".data-items", {wheelPropagation: false})
            }

        });

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts/contentLayoutMaster', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/shamim/code/v32/resources/views/customer/SendingServer/list.blade.php ENDPATH**/ ?>