<?php $__env->startSection('title', __('locale.auth.login')); ?>

<?php $__env->startSection('page-style'); ?>
    
    <link rel="stylesheet" href="<?php echo e(asset(mix('css/pages/authentication.css'))); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <section class="row flexbox-container">
        <div class="col-xl-8 col-11 d-flex justify-content-center">
            <div class="card bg-authentication rounded-0 mb-0">
                <div class="row m-0">
                    <div class="col-lg-5 d-lg-block d-none text-center align-self-center px-1 py-0">
                        <img src="<?php echo e(asset('images/pages/reset-password.png')); ?>" alt="branding logo">
                    </div>
                    <div class="col-lg-7 col-12 p-0">
                        <div class="card rounded-0 mb-0 px-2">
                            <div class="card-header pb-1">
                                <div class="card-title">
                                    <h4 class="mb-0"><?php echo e(__('locale.auth.login')); ?></h4>
                                </div>
                            </div>

                            <p class="px-2"><?php echo e(__('locale.auth.welcome_message')); ?></p>

                            <?php if(config('app.env') == 'demo'): ?>
                                <p class="px-2" style="cursor: pointer;">
                                    <span class="text-primary admin-login">Admin Login</span>
                                    <span class="text-success pull-right client-login">Client Login</span>
                                </p>
                            <?php endif; ?>

                            <div class="card-content">
                                <div class="card-body pt-1">
                                    <form method="POST" action="<?php echo e(route('login')); ?>">
                                        <?php echo csrf_field(); ?>
                                        <fieldset class="form-label-group form-group position-relative">

                                            <input id="email" type="email" class="form-control <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="email" placeholder="<?php echo e(__('locale.labels.email')); ?>" value="<?php echo e(old('email')); ?>" required autocomplete="email" autofocus>
                                            <label for="email"><?php echo e(__('locale.labels.email')); ?></label>
                                            <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="invalid-feedback" role="alert">
                                                <span><?php echo e($message); ?></span>
                                            </span>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                                            <?php $__errorArgs = ['g-recaptcha-response'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="text-danger"><?php echo e(__('locale.labels.g-recaptcha-response')); ?></span>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </fieldset>

                                        <fieldset class="form-label-group position-relative show_hide_password">
                                            <input id="password"
                                                   type="password"
                                                   class="form-control"
                                                   name="password"
                                                   placeholder="<?php echo e(__('locale.labels.password')); ?>"
                                                   required
                                                   autocomplete="password"
                                                   <?php if(config('app.env') == 'demo'): ?>
                                                   value="12345678"
                                                    <?php endif; ?>
                                            >
                                            <label for="password"><?php echo e(__('locale.labels.password')); ?></label>
                                            <div class="form-control-position cursor-pointer">
                                                <i class="feather icon-eye-off"></i>
                                            </div>
                                        </fieldset>


                                        <?php if(config('no-captcha.login')): ?>

                                            <fieldset class="form-label-group position-relative">
                                                <?php echo e(no_captcha()->input('g-recaptcha-response')); ?>

                                            </fieldset>

                                        <?php endif; ?>

                                        <div class="form-group d-flex justify-content-between align-items-center">
                                            <div class="text-left">
                                                <fieldset class="checkbox">
                                                    <div class="vs-checkbox-con vs-checkbox-primary">
                                                        <input type="checkbox" <?php echo e(old('remember') ? 'checked' : ''); ?> name="remember">
                                                        <span class="vs-checkbox">
                                                            <span class="vs-checkbox--check">
                                                              <i class="vs-icon feather icon-check"></i>
                                                            </span>
                                                          </span>
                                                        <span class=""><?php echo e(__('locale.auth.remember_me')); ?></span>
                                                    </div>
                                                </fieldset>
                                            </div>
                                            <?php if(Route::has('password.request')): ?>
                                                <div class="text-right">
                                                    <a class="card-link" href="<?php echo e(route('password.request')); ?>"><?php echo e(__('locale.auth.forgot_password')); ?>?</a>
                                                </div>
                                            <?php endif; ?>

                                        </div>
                                        <?php if(config('account.can_register')): ?>
                                            <a href="<?php echo e(route('register')); ?>" class="btn btn-outline-primary float-left btn-inline"><?php echo e(__('locale.auth.register')); ?></a>
                                        <?php endif; ?>
                                        <button type="submit" class="btn btn-primary float-right btn-inline"><?php echo e(__('locale.auth.login')); ?></button>
                                    </form>
                                </div>
                            </div>

                            <?php if(config('services.facebook.active') || config('services.twitter.active') || config('services.google.active') || config('services.github.active')): ?>
                                <div class="login-footer">
                                    <div class="divider">
                                        <div class="divider-text">OR</div>
                                    </div>
                                    <div class="footer-btn d-flex justify-content-between flex-wrap">
                                        <?php if(config('services.facebook.active')): ?>
                                            <a href="<?php echo e(route('social.login', 'facebook')); ?>" class="btn btn-flat-primary" data-toggle="tooltip" data-placement="top"
                                               title="Facebook"><span class="feather icon-facebook us-2x"></span></a>
                                        <?php endif; ?>

                                        <?php if(config('services.twitter.active')): ?>
                                            <a href="<?php echo e(route('social.login', 'twitter')); ?>" class="btn btn-flat-info" data-toggle="tooltip" data-placement="top"
                                               title="Twitter"><span class="feather icon-twitter us-2x"></span></a>
                                        <?php endif; ?>

                                        <?php if(config('services.google.active')): ?>
                                            <a href="<?php echo e(route('social.login', 'google')); ?>" class="btn btn-flat-danger" data-toggle="tooltip" data-placement="top"
                                               title="Google"><span class="feather icon-at-sign us-2x"></span></a>
                                        <?php endif; ?>

                                        <?php if(config('services.github.active')): ?>
                                            <a href="<?php echo e(route('social.login', 'github')); ?>" class="btn btn-flat-dark" data-toggle="tooltip" data-placement="top"
                                               title="Github"><span class="feather icon-github us-2x"></span></a>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            <?php else: ?>
                                <div class="m-2"></div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>


<?php if(config('no-captcha.login')): ?>
    <?php $__env->startPush('scripts'); ?>
        <?php echo e(no_captcha()->script()); ?>

        <?php echo e(no_captcha()->getApiScript()); ?>


        <script>
            grecaptcha.ready(() => {
                window.noCaptcha.render('login', (token) => {
                    document.querySelector('#g-recaptcha-response').value = token;
                });
            });
        </script>
    <?php $__env->stopPush(); ?>
<?php endif; ?>

<?php $__env->startPush('scripts'); ?>
    <script>

        let firstInvalid = $('form').find('.is-invalid').eq(0);
        let showHideInput = $('.show_hide_password input');
        let showHideIcon = $('.show_hide_password i');

        $('.admin-login').on('click', function () {
            $('#email').val('admin@codeglen.com')
        });

        $('.client-login').on('click', function () {
            $('#email').val('client@codeglen.com')
        });

        $(".form-control-position").on('click', function (event) {
            event.preventDefault();
            if (showHideInput.attr("type") === "text") {
                showHideInput.attr('type', 'password');
                showHideIcon.addClass("icon-eye-off");
                showHideIcon.removeClass("icon-eye");
            } else if (showHideInput.attr("type") === "password") {
                showHideInput.attr('type', 'text');
                showHideIcon.removeClass("icon-eye-off");
                showHideIcon.addClass("icon-eye");
            }
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts/fullLayoutMaster', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/shamim/code/v32/resources/views//auth/login.blade.php ENDPATH**/ ?>